<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
activationkey
</p>
<p>Contains methods to access common activation key functions
 available from the web interface.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addChildChannels"/>addChildChannels</a></li>
<li><a href="#addConfigChannels"/>addConfigChannels</a></li>
<li><a href="#addEntitlements"/>addEntitlements</a></li>
<li><a href="#addPackages"/>addPackages</a></li>
<li><a href="#addServerGroups"/>addServerGroups</a></li>
<li><a href="#checkConfigDeployment"/>checkConfigDeployment</a></li>
<li><a href="#clone"/>clone</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#disableConfigDeployment"/>disableConfigDeployment</a></li>
<li><a href="#enableConfigDeployment"/>enableConfigDeployment</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listActivatedSystems"/>listActivatedSystems</a></li>
<li><a href="#listActivationKeys"/>listActivationKeys</a></li>
<li><a href="#listChannels"/>listChannels</a></li>
<li><a href="#listConfigChannels"/>listConfigChannels</a></li>
<li><a href="#removeChildChannels"/>removeChildChannels</a></li>
<li><a href="#removeConfigChannels"/>removeConfigChannels</a></li>
<li><a href="#removeEntitlements"/>removeEntitlements</a></li>
<li><a href="#removePackages"/>removePackages</a></li>
<li><a href="#removeServerGroups"/>removeServerGroups</a></li>
<li><a href="#setConfigChannels"/>setConfigChannels</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="addChildChannels" href="#addChildChannels">Method: addChildChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add child channels to an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array(string)</em> childChannelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addConfigChannels" href="#addConfigChannels">Method: addConfigChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Given a list of activation keys and configuration channels,
 this method adds given configuration channels to either the top or
 the bottom (whichever you specify) of an activation key's
 configuration channels list. The ordering of the configuration channels
 provided in the add list is maintained while adding.
 If one of the configuration channels in the 'add' list
 already exists in an activation key, the
 configuration  channel will be re-ranked to the appropriate place.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> keys
 </li>
<li>

<em>array(string)</em> configChannelLabels - List of configuration channel labels in the ranked order.
 </li>
<li>

    <em>boolean</em> addToTop
	<ul>
	<li>true - To prepend the given channels to the beginning of
                                 the activation key's config channel list</li>
	<li>false - To append the given channels to the end of
                                     the activation key's config channel list</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addEntitlements" href="#addEntitlements">Method: addEntitlements</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add add-on System Types to an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array(string)</em> entitlements - Add-on system type labels to associate with the key.
	<ul>
	<li>container_build_host</li>
	<li>monitoring_entitled</li>
	<li>osimage_build_host</li>
	<li>virtualization_host</li>
	<li>ansible_control_node</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addPackages" href="#addPackages">Method: addPackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add packages to an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array</em> packages
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - Package name</li>
    <li><em>string</em> "arch" - Arch label - Optional</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addServerGroups" href="#addServerGroups">Method: addServerGroups</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add server groups to an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array(int)</em> serverGroupIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="checkConfigDeployment" href="#checkConfigDeployment">Method: checkConfigDeployment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Check configuration file deployment status for the
 activation key specified.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if enabled, 0 if disabled, exception thrown otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="clone" href="#clone">Method: clone</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Clone an existing activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key - Key to be cloned.
 </li>
<li>

    <em>string</em> cloneDescription - Description of the cloned key.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> The new activation key
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new activation key.
 The activation key parameter passed
 in will be prefixed with the organization ID, and this value will be
 returned from the create call.

 Eg. If the caller passes in the key "foo" and belong to an organization with
 the ID 100, the actual activation key will be "100-foo".

 This call allows for the setting of a usage limit on this activation key.
 If unlimited usage is desired see the similarly named API method with no
 usage limit argument.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key - Leave empty to have new key autogenerated.
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> baseChannelLabel - Leave empty to accept default.
 </li>
<li>

    <em>int</em> usageLimit - If unlimited usage is desired,
 use the create API that does not include the parameter.
 </li>
<li>

<em>array(string)</em> entitlements - Add-on system type labels to associate with the key.
	<ul>
	<li>container_build_host</li>
	<li>monitoring_entitled</li>
	<li>osimage_build_host</li>
	<li>virtualization_host</li>
	<li>ansible_control_node</li>
	</ul>
 </li>
<li>

    <em>boolean</em> universalDefault
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> The new activation key
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new activation key with unlimited usage.
 The activation key parameter passed
 in will be prefixed with the organization ID, and this value will be
 returned from the create call.

 Eg. If the caller passes in the key "foo" and belong to an organization with
 the ID 100, the actual activation key will be "100-foo".


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key - Leave empty to have new key autogenerated.
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> baseChannelLabel - Leave empty to accept default.
 </li>
<li>

<em>array(string)</em> entitlements - Add-on entitlement label to associate with the key.
	<ul>
	<li>virtualization_host</li>
	</ul>
 </li>
<li>

    <em>boolean</em> universalDefault
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> The new activation key
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="disableConfigDeployment" href="#disableConfigDeployment">Method: disableConfigDeployment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Disable configuration file deployment for the specified activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="enableConfigDeployment" href="#enableConfigDeployment">Method: enableConfigDeployment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Enable configuration file deployment for the specified activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup an activation key's details.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> activation key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "usage_limit"</li>
	<li><em>string</em> "base_channel_label"</li>
    <li><em>array(string)</em> "child_channel_labels" - childChannelLabel
    </li>
    <li><em>array(string)</em> "entitlements" - entitlementLabel
    </li>
    <li><em>array(string)</em> "server_group_ids" - serverGroupId
    </li>
    <li><em>array(string)</em> "package_names" - packageName - (deprecated by packages)
    </li>
    <li><em>array</em> "packages"
        <ul>
            <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - packageName</li>
    <li><em>string</em> "arch" - archLabel - optional</li>
	</ul>
           </li>
        </ul>
    </li>
	<li><em>boolean</em> "universal_default"</li>
	<li><em>boolean</em> "disabled"</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
  
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="listActivatedSystems" href="#listActivatedSystems">Method: listActivatedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems activated with the key provided.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system structure
	<ul>
    <li><em>int</em> "id" - System id</li>
	<li><em>string</em> "hostname"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - Last time server
               successfully checked in</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listActivationKeys" href="#listActivationKeys">Method: listActivationKeys</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List activation keys that are visible to the
 user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> activation key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "usage_limit"</li>
	<li><em>string</em> "base_channel_label"</li>
    <li><em>array(string)</em> "child_channel_labels" - childChannelLabel
    </li>
    <li><em>array(string)</em> "entitlements" - entitlementLabel
    </li>
    <li><em>array(string)</em> "server_group_ids" - serverGroupId
    </li>
    <li><em>array(string)</em> "package_names" - packageName - (deprecated by packages)
    </li>
    <li><em>array</em> "packages"
        <ul>
            <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - packageName</li>
    <li><em>string</em> "arch" - archLabel - optional</li>
	</ul>
           </li>
        </ul>
    </li>
	<li><em>boolean</em> "universal_default"</li>
	<li><em>boolean</em> "disabled"</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="listChannels" href="#listChannels">Method: listChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the channels for the given activation key
 with temporary authentication tokens to access them.
 Authentication is done via a machine specific password.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> minionId - The id of the minion to authenticate with.
 </li>
<li>

    <em>string</em> machinePassword - password specific to a machine.
 </li>
<li>

    <em>string</em> activationKey - activation key to use channels from.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channelInfo
	<ul>
    <li><em>string</em> "label" - Channel label</li>
    <li><em>string</em> "name" - Channel name</li>
    <li><em>string</em> "url" - Channel url</li>
    <li><em>string</em> "token" - Channel access token</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listConfigChannels" href="#listConfigChannels">Method: listConfigChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List configuration channels
 associated to an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeChildChannels" href="#removeChildChannels">Method: removeChildChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove child channels from an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array(string)</em> childChannelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeConfigChannels" href="#removeConfigChannels">Method: removeConfigChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove configuration channels from the given activation keys.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> keys
 </li>
<li>

<em>array(string)</em> configChannelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeEntitlements" href="#removeEntitlements">Method: removeEntitlements</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove entitlements (by label) from an activation key.
 Currently only virtualization_host add-on entitlement is permitted.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array(string)</em> entitlements
	<ul>
	<li>virtualization_host</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removePackages" href="#removePackages">Method: removePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove package names from an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array</em> packages
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - Package name</li>
    <li><em>string</em> "arch" - Arch label - Optional</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeServerGroups" href="#removeServerGroups">Method: removeServerGroups</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove server groups from an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

<em>array(int)</em> serverGroupIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setConfigChannels" href="#setConfigChannels">Method: setConfigChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Replace the existing set of
 configuration channels on the given activation keys.
 Channels are ranked by their order in the array.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> keys
 </li>
<li>

<em>array(string)</em> configChannelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#setDetails">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update the details of an activation key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> key
 </li>
<li>

	     <em>struct</em> details
	<ul>
    <li><em>string</em> "description" - optional</li>
    <li><em>string</em> "base_channel_label" - optional -
   to set default base channel set to empty string or 'none'</li>
    <li><em>int</em> "usage_limit" - optional</li>
    <li><em>boolean</em> "unlimited_usage_limit" - Set true
   for unlimited usage and to override usage_limit</li>
    <li><em>boolean</em> "universal_default" - optional</li>
    <li><em>boolean</em> "disabled" - optional</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
