<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
admin
</p>
<p>Provides methods to access and modify PAYG ssh connection data</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#list"/>list</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new ssh connection data to extract data from


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> host - hostname or IP address to the instance, will fail if
 already in use.
 </li>
<li>

    <em>int</em> port
 </li>
<li>

    <em>string</em> username
 </li>
<li>

    <em>string</em> password
 </li>
<li>

    <em>string</em> key - private key to use in authentication
 </li>
<li>

    <em>string</em> keyPassword
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new ssh connection data to extract data from


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> host - hostname or IP address to the instance, will fail if
 already in use.
 </li>
<li>

    <em>int</em> port
 </li>
<li>

    <em>string</em> username
 </li>
<li>

    <em>string</em> password
 </li>
<li>

    <em>string</em> key - private key to use in authentication
 </li>
<li>

    <em>string</em> keyPassword
 </li>
<li>

    <em>string</em> bastionHost - hostname or IP address to a bastion host
 </li>
<li>

    <em>int</em> bastionPort
 </li>
<li>

    <em>string</em> bastionUsername
 </li>
<li>

    <em>string</em> bastionPassword
 </li>
<li>

    <em>string</em> bastionKey - private key to use in bastion authentication
 </li>
<li>

    <em>string</em> bastionKeyPassword
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list of ssh connection data registered.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - hostname or IP address of the instance
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list of ssh connection data registered.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - hostname or IP address of the instance, will fail if
 host doesn't exist.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> SSH data
	<ul>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "hostname"</li>
	<li><em>int</em> "port"</li>
	<li><em>string</em> "username"</li>
	<li><em>string</em> "bastion_hostname"</li>
	<li><em>int</em> "bastion_port"</li>
	<li><em>string</em> "bastion_username"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="list" href="#list">Method: list</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list of ssh connection data registered.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> SSH data
	<ul>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "hostname"</li>
	<li><em>int</em> "port"</li>
	<li><em>string</em> "username"</li>
	<li><em>string</em> "bastion_hostname"</li>
	<li><em>int</em> "bastion_port"</li>
	<li><em>string</em> "bastion_username"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#setDetails">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates the details of a ssh connection data


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - hostname or IP address to the instance, will fail if
 host doesn't exist.
 </li>
<li>

	     <em>struct</em> details - user details
	<ul>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "port"</li>
	<li><em>string</em> "username"</li>
	<li><em>string</em> "password"</li>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "key_password"</li>
	<li><em>string</em> "bastion_host"</li>
	<li><em>int</em> "bastion_port"</li>
	<li><em>string</em> "bastion_username"</li>
	<li><em>string</em> "bastion_password"</li>
	<li><em>string</em> "bastion_key"</li>
	<li><em>string</em> "bastion_key_password"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
