<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
ansible
</p>
<p>Provides methods to manage Ansible systems</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#createAnsiblePath"/>createAnsiblePath</a></li>
<li><a href="#discoverPlaybooks"/>discoverPlaybooks</a></li>
<li><a href="#fetchPlaybookContents"/>fetchPlaybookContents</a></li>
<li><a href="#introspectInventory"/>introspectInventory</a></li>
<li><a href="#listAnsiblePaths"/>listAnsiblePaths</a></li>
<li><a href="#lookupAnsiblePathById"/>lookupAnsiblePathById</a></li>
<li><a href="#removeAnsiblePath"/>removeAnsiblePath</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#updateAnsiblePath"/>updateAnsiblePath</a></li>
</ul>
</div>
<hr />

<h3> <a name="createAnsiblePath" href="#createAnsiblePath">Method: createAnsiblePath</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create ansible path


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> props
	<ul>
    <li><em>string</em> "type" - The ansible path type: 'inventory' or 'playbook'</li>
    <li><em>int</em> "server_id" - ID of control node server</li>
    <li><em>string</em> "path" - The local path to inventory/playbook</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> ansible path
	<ul>
	<li><em>int</em> "path id"</li>
	<li><em>string</em> "type label"</li>
	<li><em>int</em> "id of the ansible control node system"</li>
	<li><em>string</em> "local path to inventory or playbook"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="discoverPlaybooks" href="#discoverPlaybooks">Method: discoverPlaybooks</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Discover playbooks under given playbook path with given pathId


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pathId - path id
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> playbooks
	<ul>
	     <em>struct</em> playbook
	<ul>
         

	     <em>struct</em> ansible path
	<ul>
	<li><em>int</em> "path id"</li>
	<li><em>string</em> "type label"</li>
	<li><em>int</em> "id of the ansible control node system"</li>
	<li><em>string</em> "local path to inventory or playbook"</li>
	</ul>
 
	</ul>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="fetchPlaybookContents" href="#fetchPlaybookContents">Method: fetchPlaybookContents</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Fetch the playbook content from the control node using a synchronous salt call.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pathId - playbook path id
 </li>
<li>

    <em>string</em> playbookRelPath - relative path of playbook (inside path specified by
 pathId)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> contents - Text contents of the playbook
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="introspectInventory" href="#introspectInventory">Method: introspectInventory</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Introspect inventory under given inventory path with given pathId and return it in a structured way


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pathId - path id
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> Inventory in a nested structure
	<ul>
    <em>object</em> Inventory item - Inventory item (can be nested)
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAnsiblePaths" href="#listAnsiblePaths">Method: listAnsiblePaths</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List ansible paths for server (control node)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> controlNodeId - id of ansible control node server
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> ansible path
	<ul>
	<li><em>int</em> "path id"</li>
	<li><em>string</em> "type label"</li>
	<li><em>int</em> "id of the ansible control node system"</li>
	<li><em>string</em> "local path to inventory or playbook"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupAnsiblePathById" href="#lookupAnsiblePathById">Method: lookupAnsiblePathById</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup ansible path by path id


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pathId - path id
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> ansible path
	<ul>
	<li><em>int</em> "path id"</li>
	<li><em>string</em> "type label"</li>
	<li><em>int</em> "id of the ansible control node system"</li>
	<li><em>string</em> "local path to inventory or playbook"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeAnsiblePath" href="#removeAnsiblePath">Method: removeAnsiblePath</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create ansible path


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pathId - path id
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#schedulePlaybook">Method: schedulePlaybook</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a playbook execution


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> playbookPath
 </li>
<li>

    <em>string</em> inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    <em>int</em> controlNodeId - system ID of the control node
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    <em>string</em> actionChainLabel - label of an action chain to use, or None
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the playbook execution action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#schedulePlaybook">Method: schedulePlaybook</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a playbook execution


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> playbookPath
 </li>
<li>

    <em>string</em> inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    <em>int</em> controlNodeId - system ID of the control node
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    <em>string</em> actionChainLabel - label of an action chain to use, or None
 </li>
<li>

    <em>boolean</em> testMode - 'true' if the playbook shall be executed in test mode
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the playbook execution action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#schedulePlaybook">Method: schedulePlaybook</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a playbook execution


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> playbookPath
 </li>
<li>

    <em>string</em> inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    <em>int</em> controlNodeId - system ID of the control node
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    <em>string</em> actionChainLabel - label of an action chain to use, or None
 </li>
<li>

	     <em>struct</em> ansibleArgs
	<ul>
	<li><em>boolean</em> "flushCache"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the playbook execution action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#schedulePlaybook">Method: schedulePlaybook</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a playbook execution


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> playbookPath
 </li>
<li>

    <em>string</em> inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    <em>int</em> controlNodeId - system ID of the control node
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    <em>string</em> actionChainLabel - label of an action chain to use, or None
 </li>
<li>

    <em>boolean</em> testMode - 'true' if the playbook shall be executed in test mode
 </li>
<li>

	     <em>struct</em> ansibleArgs
	<ul>
	<li><em>boolean</em> "flushCache"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the playbook execution action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateAnsiblePath" href="#updateAnsiblePath">Method: updateAnsiblePath</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create ansible path


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pathId - path id
 </li>
<li>

	     <em>struct</em> props
	<ul>
    <li><em>string</em> "path" - The local path to inventory/playbook</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> ansible path
	<ul>
	<li><em>int</em> "path id"</li>
	<li><em>string</em> "type label"</li>
	<li><em>int</em> "id of the ansible control node system"</li>
	<li><em>string</em> "local path to inventory or playbook"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
