<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
api
</p>
<p>Methods providing information about the API.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#getApiCallList"/>getApiCallList</a></li>
<li><a href="#getApiNamespaceCallList"/>getApiNamespaceCallList</a></li>
<li><a href="#getApiNamespaces"/>getApiNamespaces</a></li>
<li><a href="#getVersion"/>getVersion</a></li>
<li><a href="#systemVersion"/>systemVersion</a></li>
</ul>
</div>
<hr />

<h3> <a name="getApiCallList" href="#getApiCallList">Method: getApiCallList</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all available api calls grouped by namespace


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> method_info
	<ul>
    <li><em>string</em> "name" - method name</li>
    <li><em>string</em> "parameters" - method parameters</li>
    <li><em>string</em> "exceptions" - method exceptions</li>
    <li><em>string</em> "return" - method return type</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getApiNamespaceCallList" href="#getApiNamespaceCallList">Method: getApiNamespaceCallList</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all available api calls for the specified namespace


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> namespace
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> method_info
	<ul>
    <li><em>string</em> "name" - method name</li>
    <li><em>string</em> "parameters" - method parameters</li>
    <li><em>string</em> "exceptions" - method exceptions</li>
    <li><em>string</em> "return" - method return type</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getApiNamespaces" href="#getApiNamespaces">Method: getApiNamespaces</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists available API namespaces


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> namespace
	<ul>
    <li><em>string</em> "namespace" - API namespace</li>
    <li><em>string</em> "handler" - API Handler</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getVersion" href="#getVersion">Method: getVersion</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the version of the API.


<h4>Parameters</h4>
<ul>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> version
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="systemVersion" href="#systemVersion">Method: systemVersion</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the server version.


<h4>Parameters</h4>
<ul>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> version
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
