<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
channel.org
</p>
<p>Provides methods to retrieve and alter organization trust
 relationships for a channel.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#disableAccess"/>disableAccess</a></li>
<li><a href="#enableAccess"/>enableAccess</a></li>
<li><a href="#list"/>list</a></li>
</ul>
</div>
<hr />

<h3> <a name="disableAccess" href="#disableAccess">Method: disableAccess</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Disable access to the channel for the given organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the channel
 </li>
<li>

    <em>int</em> orgId - ID of org being removed access
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="enableAccess" href="#enableAccess">Method: enableAccess</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Enable access to the channel for the given organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the channel
 </li>
<li>

    <em>int</em> orgId - ID of org being granted access
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="list" href="#list">Method: list</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List the organizations associated with the given channel
 that may be trusted.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> org
	<ul>
	<li><em>int</em> "org_id"</li>
	<li><em>string</em> "org_name"</li>
	<li><em>boolean</em> "access_enabled"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
