<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.keys
</p>
<p>Provides methods to manipulate kickstart keys.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listAllKeys"/>listAllKeys</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
creates a new key with the given parameters


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> type - valid values are GPG or SSL
 </li>
<li>

    <em>string</em> content
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
deletes the key identified by the given parameters


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
returns all the data associated with the given key


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> key
	<ul>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "content"</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllKeys" href="#listAllKeys">Method: listAllKeys</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
list all keys for the org associated with the user logged into the
             given session


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> key
	<ul>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#update">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates type and content of the key identified by the description


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> type - valid values are GPG or SSL
 </li>
<li>

    <em>string</em> content
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
