<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.custominfo
</p>
<p>Provides methods to access and modify custom system information.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#createKey"/>createKey</a></li>
<li><a href="#deleteKey"/>deleteKey</a></li>
<li><a href="#listAllKeys"/>listAllKeys</a></li>
<li><a href="#updateKey"/>updateKey</a></li>
</ul>
</div>
<hr />

<h3> <a name="createKey" href="#createKey">Method: createKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new custom key


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> keyLabel - new key's label
 </li>
<li>

    <em>string</em> keyDescription - new key's description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteKey" href="#deleteKey">Method: deleteKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an existing custom key and all systems' values for the key.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> keyLabel - new key's label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllKeys" href="#listAllKeys">Method: listAllKeys</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the custom information keys defined for the user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> custom info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "system_count"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateKey" href="#updateKey">Method: updateKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update description of a custom key


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> keyLabel - key to change
 </li>
<li>

    <em>string</em> keyDescription - new key's description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
