<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image.delta
</p>
<p>Provides methods to access and modify delta images.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#createDeltaImage"/>createDeltaImage</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listDeltas"/>listDeltas</a></li>
</ul>
</div>
<hr />

<h3> <a name="createDeltaImage" href="#createDeltaImage">Method: createDeltaImage</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import an image and schedule an inspect afterwards. The "size" entries in the pillar
 should be passed as string.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sourceImageId
 </li>
<li>

    <em>int</em> targetImageId
 </li>
<li>

    <em>string</em> file
 </li>
<li>

    <em>struct</em> pillar
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get details of an Image


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sourceImageId
 </li>
<li>

    <em>int</em> targetImageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> delta image information
	<ul>
	<li><em>int</em> "source_id"</li>
	<li><em>int</em> "target_id"</li>
    <li><em>string</em> "file" - file path</li>
    <li><em>struct</em> "pillar" - pillar data</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listDeltas" href="#listDeltas">Method: listDeltas</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available DeltaImages


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> delta image information
	<ul>
	<li><em>int</em> "source_id"</li>
	<li><em>int</em> "target_id"</li>
    <li><em>string</em> "file" - file path</li>
    <li><em>struct</em> "pillar" - pillar data</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
