<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
errata
</p>
<p>Provides methods to access and modify errata.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addPackages"/>addPackages</a></li>
<li><a href="#applicableToChannels"/>applicableToChannels</a></li>
<li><a href="#bugzillaFixes"/>bugzillaFixes</a></li>
<li><a href="#clone"/>clone</a></li>
<li><a href="#cloneAsOriginal"/>cloneAsOriginal</a></li>
<li><a href="#cloneAsOriginalAsync"/>cloneAsOriginalAsync</a></li>
<li><a href="#cloneAsync"/>cloneAsync</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#findByCve"/>findByCve</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listAffectedSystems"/>listAffectedSystems</a></li>
<li><a href="#listCves"/>listCves</a></li>
<li><a href="#listKeywords"/>listKeywords</a></li>
<li><a href="#listPackages"/>listPackages</a></li>
<li><a href="#publish"/>publish</a></li>
<li><a href="#publishAsOriginal"/>publishAsOriginal</a></li>
<li><a href="#removePackages"/>removePackages</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="addPackages" href="#addPackages">Method: addPackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a set of packages to an erratum with the given advisory name.
 This method will only allow for modification of custom errata created either through the UI or API.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> the number of packages added, exception otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="applicableToChannels" href="#applicableToChannels">Method: applicableToChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of channels applicable to the errata with the given advisory name.
 For those errata that are present in both vendor and user organizations under the same advisory name,
 this method retrieves the list of channels applicable of both of them.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "channel_id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "parent_channel_label"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bugzillaFixes" href="#bugzillaFixes">Method: bugzillaFixes</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Get the Bugzilla fixes for an erratum matching the given
 advisoryName. The bugs will be returned in a struct where the bug id is
 the key.  i.e. 208144="errata.bugzillaFixes Method Returns different
 results than docs say"
 For those errata that are present in both vendor and user organizations under the same advisory name,
 this method retrieves the list of Bugzilla fixes of both of them.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> Bugzilla info
	<ul>
    <li><em>string</em> "bugzilla_id" - actual bug number is the key into the
                      struct</li>
    <li><em>string</em> "bug_summary" - summary who's key is the bug id</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="clone" href="#clone">Method: clone</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Clone a list of errata into the specified channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel
 </li>
<li>

<em>array(string)</em> advisoryNames - the advisory names of the errata to clone
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="cloneAsOriginal" href="#cloneAsOriginal">Method: cloneAsOriginal</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Clones a list of errata into a specified cloned channel according the original erratas.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel
 </li>
<li>

<em>array(string)</em> advisoryNames - the advisory names of the errata to clone
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="cloneAsOriginalAsync" href="#cloneAsOriginalAsync">Method: cloneAsOriginalAsync</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Asynchronously clones a list of errata into a specified cloned channel
 according the original erratas


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel
 </li>
<li>

<em>array(string)</em> advisoryNames - the advisory names of the errata to clone
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="cloneAsync" href="#cloneAsync">Method: cloneAsync</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Asynchronously clone a list of errata into the specified channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel
 </li>
<li>

<em>array(string)</em> advisoryNames - the advisory names of the errata to clone
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a custom errata


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> errataInfo
	<ul>
	<li><em>string</em> "synopsis"</li>
	<li><em>string</em> "advisory_name"</li>
	<li><em>int</em> "advisory_release"</li>
    <li><em>string</em> "advisory_type" - Type of advisory (one of the
                  following: 'Security Advisory', 'Product Enhancement Advisory',
                  or 'Bug Fix Advisory'</li>
    <li><em>string</em> "advisory_status" - Status of advisory (one of the
                  following: 'final', 'testing', 'stable' or 'retracted'</li>
	<li><em>string</em> "product"</li>
	<li><em>string</em> "errataFrom"</li>
	<li><em>string</em> "topic"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "references"</li>
	<li><em>string</em> "notes"</li>
	<li><em>string</em> "solution"</li>
    <li><em>string</em> "severity" - Severity of advisory (one of the
                  following: 'Low', 'Moderate', 'Important', 'Critical'
                  or 'Unspecified'</li>
	</ul>
 </li>
<li>

<em>array</em> bugs
  <ul>
   <li>
	     <em>struct</em> bug
	<ul>
    <li><em>int</em> "id" - Bug Id</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "url"</li>
	</ul>
</li></ul>
 </li>
<li>

<em>array(string)</em> keywords - list of keywords to associate with the errata
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

<em>array(string)</em> channelLabels - list of channels the errata should be published to
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an erratum.  This method will only allow for deletion
 of custom errata created either through the UI or API.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="findByCve" href="#findByCve">Method: findByCve</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup the details for errata associated with the given CVE
 (e.g. CVE-2008-3270)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> cveName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieves the details for the erratum matching the given advisory name.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> erratum
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "issue_date"</li>
	<li><em>string</em> "update_date"</li>
    <li><em>string</em> "last_modified_date" - last time the erratum was modified.</li>
	<li><em>string</em> "synopsis"</li>
	<li><em>int</em> "release"</li>
	<li><em>string</em> "advisory_status"</li>
	<li><em>string</em> "vendor_advisory"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "product"</li>
	<li><em>string</em> "errataFrom"</li>
	<li><em>string</em> "topic"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "references"</li>
	<li><em>string</em> "notes"</li>
	<li><em>string</em> "solution"</li>
    <li><em>boolean</em> "reboot_suggested" - A boolean flag signaling whether a system reboot is
          advisable following the application of the errata. Typical example is upon kernel update.</li>
    <li><em>boolean</em> "restart_suggested" - A boolean flag signaling a weather reboot of
          the package manager is advisable following the application of the errata. This is commonly
          used to address update stack issues before proceeding with other updates.</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAffectedSystems" href="#listAffectedSystems">Method: listAffectedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of systems affected by the errata with the given advisory name.
 For those errata that are present in both vendor and user organizations under the same advisory name,
 this method retrieves the affected systems by both of them.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listCves" href="#listCves">Method: listCves</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of CVEs applicable to the errata
 with the given advisory name. For those errata that are present in both vendor and user organizations under the
 same advisory name, this method retrieves the list of CVEs of both of them.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> CVE name
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listKeywords" href="#listKeywords">Method: listKeywords</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the keywords associated with an erratum matching the given advisory name.
 For those errata that are present in both vendor and user organizations under the same advisory name,
 this method retrieves the keywords of both of them.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> keyword associated with erratum.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackages" href="#listPackages">Method: listPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of the packages affected by the errata with the given advisory name.
 For those errata that are present in both vendor and user organizations under the same advisory name,
 this method retrieves the packages of both of them.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch_label"</li>
    <li><em>array(string)</em> "providing_channels" - - Channel label
                              providing this package.
    </li>
	<li><em>string</em> "build_host"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "checksum_type"</li>
	<li><em>string</em> "vendor"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "cookie"</li>
	<li><em>string</em> "license"</li>
	<li><em>string</em> "path"</li>
	<li><em>string</em> "file"</li>
	<li><em>string</em> "build_date"</li>
	<li><em>string</em> "last_modified_date"</li>
	<li><em>string</em> "size"</li>
	<li><em>string</em> "payload_size"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="publish" href="#publish">Method: publish</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an existing errata to a set of channels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
<li>

<em>array(string)</em> channelLabels - list of channel labels to add to
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="publishAsOriginal" href="#publishAsOriginal">Method: publishAsOriginal</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an existing cloned errata to a set of cloned
 channels according to its original erratum


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
<li>

<em>array(string)</em> channelLabels - list of channel labels to add to
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removePackages" href="#removePackages">Method: removePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a set of packages from an erratum with the given advisory name.
 This method will only allow for modification of custom errata created either through the UI or API.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> the number of packages removed, exception otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#setDetails">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set erratum details. All arguments are optional and will only be modified
 if included in the struct. This method will only allow for modification of custom
 errata created either through the UI or API.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> advisoryName
 </li>
<li>

	     <em>struct</em> details
	<ul>
	<li><em>string</em> "synopsis"</li>
	<li><em>string</em> "advisory_name"</li>
	<li><em>int</em> "advisory_release"</li>
    <li><em>string</em> "advisory_type" - Type of advisory (one of the
                  following: 'Security Advisory', 'Product Enhancement Advisory',
                  or 'Bug Fix Advisory'</li>
	<li><em>string</em> "product"</li>
	<li><em>dateTime.iso8601</em> "issue_date"</li>
	<li><em>dateTime.iso8601</em> "update_date"</li>
	<li><em>string</em> "errataFrom"</li>
	<li><em>string</em> "topic"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "references"</li>
	<li><em>string</em> "notes"</li>
	<li><em>string</em> "solution"</li>
    <li><em>string</em> "severity" - Severity of advisory (one of the
                  following: 'Low', 'Moderate', 'Important', 'Critical'
                  or 'Unspecified'</li>
    <li><em>array</em> "bugs" - 'bugs' is the key into the struct
        <ul>
            <li>
	     <em>struct</em> bug
	<ul>
    <li><em>int</em> "id" - Bug Id</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "url"</li>
	</ul>
           </li>
        </ul>
    </li>
    <li><em>array(string)</em> "keywords" - list of keywords to associate with the errata
    </li>
    <li><em>array(string)</em> "cves" - list of CVEs to associate with the errata
    </li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
