<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.filepreservation
</p>
<p>Provides methods to retrieve and manipulate kickstart file
 preservation lists.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listAllFilePreservations"/>listAllFilePreservations</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new file preservation list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - name of the file list to create
 </li>
<li>

<em>array(string)</em> files - file names to include
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a file preservation list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - name of the file list to delete
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns all the data associated with the given file preservation list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - name of the file list to retrieve details for
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> file list
	<ul>
	<li><em>string</em> "name"</li>
    <li><em>array(string)</em> "file_names" - the list of file names
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllFilePreservations" href="#listAllFilePreservations">Method: listAllFilePreservations</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all file preservation lists for the organization
 associated with the user logged into the given session


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
        

	     <em>struct</em> file preservation
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>dateTime.iso8601</em> "created"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
