<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image
</p>
<p>Provides methods to access and modify images.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addImageFile"/>addImageFile</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#deleteImageFile"/>deleteImageFile</a></li>
<li><a href="#getCustomValues"/>getCustomValues</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getPillar"/>getPillar</a></li>
<li><a href="#getRelevantErrata"/>getRelevantErrata</a></li>
<li><a href="#importContainerImage"/>importContainerImage</a></li>
<li><a href="#importImage"/>importImage</a></li>
<li><a href="#importOSImage"/>importOSImage</a></li>
<li><a href="#listImages"/>listImages</a></li>
<li><a href="#listPackages"/>listPackages</a></li>
<li><a href="#scheduleImageBuild"/>scheduleImageBuild</a></li>
<li><a href="#setPillar"/>setPillar</a></li>
</ul>
</div>
<hr />

<h3> <a name="addImageFile" href="#addImageFile">Method: addImageFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete image file


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId - ID of the image
 </li>
<li>

    <em>string</em> file - the file name, it must exist in the store
 </li>
<li>

    <em>string</em> type - the image type
 </li>
<li>

    <em>boolean</em> external - the file is external
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an image


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteImageFile" href="#deleteImageFile">Method: deleteImageFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete image file


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId - ID of the image
 </li>
<li>

    <em>string</em> file - the file name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCustomValues" href="#getCustomValues">Method: getCustomValues</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the custom data values defined for the image


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> the map of custom labels to custom values
	<ul>
	<li><em>string</em> "custom info label"</li>
	<li><em>string</em> "value"</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get details of an image


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> image overview information
	<ul>
	<li><em>int</em> "id"</li>
    <li><em>string</em> "name" - image name</li>
    <li><em>string</em> "type" - image type</li>
    <li><em>string</em> "version" - image tag/version</li>
    <li><em>int</em> "revision" - image build revision number</li>
    <li><em>string</em> "arch" - image architecture</li>
    <li><em>boolean</em> "external" - true if the image is built externally,
          false otherwise</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "profileLabel"</li>
	<li><em>string</em> "storeLabel"</li>
    <li><em>string</em> "buildStatus" - One of:</li>
	<ul>
	<li>queued</li>
	<li>picked up</li>
	<li>completed</li>
	<li>failed</li>
	</ul>
    <li><em>string</em> "inspectStatus" - Available if the build is successful. One of:</li>
	<ul>
	<li>queued</li>
	<li>picked up</li>
	<li>completed</li>
	<li>failed</li>
	</ul>
	<li><em>int</em> "buildServerId"</li>
	<li><em>int</em> "securityErrata"</li>
	<li><em>int</em> "bugErrata"</li>
	<li><em>int</em> "enhancementErrata"</li>
	<li><em>int</em> "outdatedPackages"</li>
	<li><em>int</em> "installedPackages"</li>
    <li><em>struct</em> "files" - image files</li>
    <li><em>boolean</em> "obsolete" - true if the image has been replaced in the store</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPillar" href="#getPillar">Method: getPillar</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get pillar data of an image. The "size" entries are converted to string.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>struct</em> the pillar data
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRelevantErrata" href="#getRelevantErrata">Method: getRelevantErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all errata that are relevant for the image


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importContainerImage" href="#importContainerImage">Method: importContainerImage</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import an image and schedule an inspect afterwards


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - image name as specified in the store
 </li>
<li>

    <em>string</em> version - version to import or empty
 </li>
<li>

    <em>int</em> buildHostId - system ID of the build host
 </li>
<li>

    <em>string</em> storeLabel
 </li>
<li>

    <em>string</em> activationKey - activation key to get the channel data from
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the following inspect can run
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> the ID of the inspect action created
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="importImage" href="#importImage">Method: importImage</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import an image and schedule an inspect afterwards

<p/>
Deprecated - Schedule a Container image import
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - image name as specified in the store
 </li>
<li>

    <em>string</em> version - version to import or empty
 </li>
<li>

    <em>int</em> buildHostId - system ID of the build host
 </li>
<li>

    <em>string</em> storeLabel
 </li>
<li>

    <em>string</em> activationKey - activation key to get the channel data from
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the following inspect can run
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> the ID of the inspect action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importOSImage" href="#importOSImage">Method: importOSImage</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import an image and schedule an inspect afterwards


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - image name as specified in the store
 </li>
<li>

    <em>string</em> version - version to import
 </li>
<li>

    <em>string</em> arch - image architecture
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> the ID of the image
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listImages" href="#listImages">Method: listImages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available images


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> image information
	<ul>
	<li><em>int</em> "id"</li>
    <li><em>string</em> "name" - image name</li>
    <li><em>string</em> "version" - image tag/version</li>
    <li><em>int</em> "revision" - image build revision number</li>
    <li><em>string</em> "arch" - image architecture</li>
    <li><em>boolean</em> "external" - true if the image is built externally,
          false otherwise</li>
	<li><em>string</em> "storeLabel"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "obsolete"</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackages" href="#listPackages">Method: listPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the installed packages on the given image


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "arch"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleImageBuild" href="#scheduleImageBuild">Method: scheduleImageBuild</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule an image build


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel
 </li>
<li>

    <em>string</em> version - version to build or empty
 </li>
<li>

    <em>int</em> buildHostId - system id of the build host
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - earliest the build can run.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> the ID of the build action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPillar" href="#setPillar">Method: setPillar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set pillar data of an image. The "size" entries should be passed as string.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> imageId
 </li>
<li>

    <em>struct</em> pillarData
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
