<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image.profile
</p>
<p>Provides methods to access and modify image profiles.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#deleteCustomValues"/>deleteCustomValues</a></li>
<li><a href="#getCustomValues"/>getCustomValues</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listImageProfileTypes"/>listImageProfileTypes</a></li>
<li><a href="#listImageProfiles"/>listImageProfiles</a></li>
<li><a href="#setCustomValues"/>setCustomValues</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> type
 </li>
<li>

    <em>string</em> storeLabel
 </li>
<li>

    <em>string</em> path
 </li>
<li>

    <em>string</em> activationKey - optional
 </li>
<li>

    <em>string</em> kiwiOptions
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> type
 </li>
<li>

    <em>string</em> storeLabel
 </li>
<li>

    <em>string</em> path
 </li>
<li>

    <em>string</em> activationKey - optional
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteCustomValues" href="#deleteCustomValues">Method: deleteCustomValues</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete the custom values defined for the specified image profile.
 (Note: Attempt to delete values of non-existing keys throws exception. Attempt to
 delete value of existing key which has assigned no values doesn't throw exception.)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

<em>array(string)</em> keys - the custom data keys
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCustomValues" href="#getCustomValues">Method: getCustomValues</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the custom data values defined for the image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> the map of custom labels to custom values
	<ul>
	<li><em>string</em> "custom info label"</li>
	<li><em>string</em> "value"</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get details of an image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> image profile information
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "imageType"</li>
	<li><em>string</em> "imageStore"</li>
	<li><em>string</em> "activationKey"</li>
    <li><em>string</em> "path" - in case type support path</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listImageProfileTypes" href="#listImageProfileTypes">Method: listImageProfileTypes</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available image store types


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> the list of image profile types
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listImageProfiles" href="#listImageProfiles">Method: listImageProfiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available image profiles


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> image profile information
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "imageType"</li>
	<li><em>string</em> "imageStore"</li>
	<li><em>string</em> "activationKey"</li>
    <li><em>string</em> "path" - in case type support path</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setCustomValues" href="#setCustomValues">Method: setCustomValues</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set custom values for the specified image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

	     <em>struct</em> values - the map of custom labels to custom values
	<ul>
	<li><em>string</em> "custom info label"</li>
	<li><em>string</em> "value"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#setDetails">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set details of an image profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

	     <em>struct</em> details
	<ul>
	<li><em>string</em> "storeLabel"</li>
	<li><em>string</em> "path"</li>
    <li><em>string</em> "activationKey" - set empty string to unset</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
