<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image.store
</p>
<p>Provides methods to access and modify image stores.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listImageStoreTypes"/>listImageStoreTypes</a></li>
<li><a href="#listImageStores"/>listImageStores</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new image store


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> uri
 </li>
<li>

    <em>string</em> storeType
 </li>
<li>

	     <em>struct</em> credentials - optional
	<ul>
	<li><em>string</em> "username"</li>
	<li><em>string</em> "password"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an image store


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get details of an image store


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> image store information
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "uri"</li>
	<li><em>string</em> "storetype"</li>
	<li><em>boolean</em> "hasCredentials"</li>
	<li><em>string</em> "username"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listImageStoreTypes" href="#listImageStoreTypes">Method: listImageStoreTypes</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available image store types


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> image store type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listImageStores" href="#listImageStores">Method: listImageStores</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available image stores


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> image store information
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "uri"</li>
	<li><em>string</em> "storetype"</li>
	<li><em>boolean</em> "hasCredentials"</li>
	<li><em>string</em> "username"</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#setDetails">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set details of an image store


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

	     <em>struct</em> details - image store details
	<ul>
	<li><em>string</em> "uri"</li>
    <li><em>string</em> "username" - pass empty string to unset credentials</li>
	<li><em>string</em> "password"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
