<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.profile.keys
</p>
<p>Provides methods to access and modify the list of activation keys
 associated with a kickstart profile.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addActivationKey"/>addActivationKey</a></li>
<li><a href="#getActivationKeys"/>getActivationKeys</a></li>
<li><a href="#removeActivationKey"/>removeActivationKey</a></li>
</ul>
</div>
<hr />

<h3> <a name="addActivationKey" href="#addActivationKey">Method: addActivationKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add an activation key association to the kickstart profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the kickstart profile label
 </li>
<li>

    <em>string</em> key - the activation key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getActivationKeys" href="#getActivationKeys">Method: getActivationKeys</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup the activation keys associated with the kickstart
 profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the kickstart profile label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> activation key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "usage_limit"</li>
	<li><em>string</em> "base_channel_label"</li>
    <li><em>array(string)</em> "child_channel_labels" - childChannelLabel
    </li>
    <li><em>array(string)</em> "entitlements" - entitlementLabel
    </li>
    <li><em>array(string)</em> "server_group_ids" - serverGroupId
    </li>
    <li><em>array(string)</em> "package_names" - packageName - (deprecated by packages)
    </li>
    <li><em>array</em> "packages"
        <ul>
            <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - packageName</li>
    <li><em>string</em> "arch" - archLabel - optional</li>
	</ul>
           </li>
        </ul>
    </li>
	<li><em>boolean</em> "universal_default"</li>
	<li><em>boolean</em> "disabled"</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeActivationKey" href="#removeActivationKey">Method: removeActivationKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove an activation key association from the kickstart profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the kickstart profile label
 </li>
<li>

    <em>string</em> key - the activation key
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
