<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.tree
</p>
<p>Provides methods to access and modify the kickstart trees.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#deleteTreeAndProfiles"/>deleteTreeAndProfiles</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#list"/>list</a></li>
<li><a href="#listInstallTypes"/>listInstallTypes</a></li>
<li><a href="#rename"/>rename</a></li>
<li><a href="#update"/>update</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a Kickstart Tree (Distribution) in #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - The new kickstart tree label.
 </li>
<li>

    <em>string</em> basePath - Path to the base or
 root of the kickstart tree.
 </li>
<li>

    <em>string</em> channelLabel - Label of channel to
 associate with the kickstart tree. 
 </li>
<li>

    <em>string</em> installType - Label for
 KickstartInstallType (rhel_6, rhel_7, rhel_8, rhel_9, fedora_9).
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a Kickstart Tree (Distribution) in #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - The new kickstart tree label.
 </li>
<li>

    <em>string</em> basePath - Path to the base or
 root of the kickstart tree.
 </li>
<li>

    <em>string</em> channelLabel - Label of channel to
 associate with the kickstart tree. 
 </li>
<li>

    <em>string</em> installType - Label for
 KickstartInstallType (rhel_2.1, rhel_3, rhel_4, rhel_5, fedora_9).
 </li>
<li>

    <em>string</em> kernelOptions - Options to be passed to the kernel
 when booting for the installation. 
 </li>
<li>

    <em>string</em> postKernelOptions - Options to be passed to the kernel
 when booting for the installation. 
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a Kickstart Tree (Distribution) from #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - Label for the
 kickstart tree to delete.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteTreeAndProfiles" href="#deleteTreeAndProfiles">Method: deleteTreeAndProfiles</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a kickstarttree and any profiles associated with
 this kickstart tree.  WARNING:  This will delete all profiles
 associated with this kickstart tree!


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - Label for the
 kickstart tree to delete.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
The detailed information about a kickstartable tree given the tree name.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - Label of kickstartable tree to
 search.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> kickstartable tree
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "abs_path"</li>
	<li><em>int</em> "channel_id"</li>
	<li><em>string</em> "kernel_options"</li>
	<li><em>string</em> "post_kernel_options"</li>
   

	     <em>struct</em> kickstart install type
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="list" href="#list">Method: list</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List the available kickstartable trees for the given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - Label of channel to
 search.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> kickstartable tree
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "base_path"</li>
	<li><em>int</em> "channel_id"</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInstallTypes" href="#listInstallTypes">Method: listInstallTypes</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the available kickstartable install types (rhel2,3,4,5 and
 fedora9+).


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> kickstart install type
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="rename" href="#rename">Method: rename</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Rename a Kickstart Tree (Distribution) in #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> originalLabel - Label for the
 kickstart tree to rename.
 </li>
<li>

    <em>string</em> newLabel - The kickstart tree's new label.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#update">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Edit a Kickstart Tree (Distribution) in #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - Label for the kickstart tree.
 </li>
<li>

    <em>string</em> basePath - Path to the base or
 root of the kickstart tree.
 </li>
<li>

    <em>string</em> channelLabel - Label of channel to
 associate with kickstart tree.
 </li>
<li>

    <em>string</em> installType - Label for
 KickstartInstallType (rhel_6, rhel_7, rhel_8, rhel_9, fedora_9).
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#update">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Edit a Kickstart Tree (Distribution) in #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> treeLabel - Label for the kickstart tree.
 </li>
<li>

    <em>string</em> basePath - Path to the base or
 root of the kickstart tree.
 </li>
<li>

    <em>string</em> channelLabel - Label of channel to
 associate with kickstart tree.
 </li>
<li>

    <em>string</em> installType - Label for
 KickstartInstallType (rhel_2.1, rhel_3, rhel_4, rhel_5, fedora_9).
 </li>
<li>

    <em>string</em> kernelOptions - Options to be passed to the kernel
 when booting for the installation. 
 </li>
<li>

    <em>string</em> postKernelOptions - Options to be passed to the kernel
 when booting for the installation. 
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
