<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
sync.master
</p>
<p>Contains methods to set up information about known-"masters", for use
 on the "slave" side of ISS</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addToMaster"/>addToMaster</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDefaultMaster"/>getDefaultMaster</a></li>
<li><a href="#getMaster"/>getMaster</a></li>
<li><a href="#getMasterByLabel"/>getMasterByLabel</a></li>
<li><a href="#getMasterOrgs"/>getMasterOrgs</a></li>
<li><a href="#getMasters"/>getMasters</a></li>
<li><a href="#hasMaster"/>hasMaster</a></li>
<li><a href="#makeDefault"/>makeDefault</a></li>
<li><a href="#mapToLocal"/>mapToLocal</a></li>
<li><a href="#setCaCert"/>setCaCert</a></li>
<li><a href="#setMasterOrgs"/>setMasterOrgs</a></li>
<li><a href="#unsetDefaultMaster"/>unsetDefaultMaster</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="addToMaster" href="#addToMaster">Method: addToMaster</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a single organizations to the list of those the specified Master has
 exported to this Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - Id of the desired Master
 </li>
<li>

	     <em>struct</em> orgMap
	<ul>
	<li><em>int</em> "masterOrgId"</li>
	<li><em>string</em> "masterOrgName"</li>
	<li><em>int</em> "localOrgId"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new Master, known to this Slave.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - Master's fully-qualified domain name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssMaster info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "caCert"</li>
	<li><em>boolean</em> "isCurrentMaster"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove the specified Master


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - Id of the Master to remove
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDefaultMaster" href="#getDefaultMaster">Method: getDefaultMaster</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the current default-Master for this Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssMaster info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "caCert"</li>
	<li><em>boolean</em> "isCurrentMaster"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getMaster" href="#getMaster">Method: getMaster</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Find a Master by specifying its ID


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - ID of the desired Master
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssMaster info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "caCert"</li>
	<li><em>boolean</em> "isCurrentMaster"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getMasterByLabel" href="#getMasterByLabel">Method: getMasterByLabel</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Find a Master by specifying its label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - Label of the desired Master
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssMaster info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "caCert"</li>
	<li><em>boolean</em> "isCurrentMaster"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getMasterOrgs" href="#getMasterOrgs">Method: getMasterOrgs</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all organizations the specified Master has exported to this Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - ID of the desired Master
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> IssMasterOrg info
	<ul>
	<li><em>int</em> "masterOrgId"</li>
	<li><em>string</em> "masterOrgName"</li>
	<li><em>int</em> "localOrgId"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getMasters" href="#getMasters">Method: getMasters</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get all the Masters this Slave knows about


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> IssMaster info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "caCert"</li>
	<li><em>boolean</em> "isCurrentMaster"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="hasMaster" href="#hasMaster">Method: hasMaster</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Check if this host is reading configuration from an ISS master.


<h4>Parameters</h4>
<ul>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> master - True if has an ISS master, false otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="makeDefault" href="#makeDefault">Method: makeDefault</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Make the specified Master the default for this Slave's inter-server-sync


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - Id of the Master to make the default
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="mapToLocal" href="#mapToLocal">Method: mapToLocal</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a single organizations to the list of those the specified Master has
 exported to this Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - ID of the desired Master
 </li>
<li>

    <em>int</em> masterOrgId - ID of the desired Master
 </li>
<li>

    <em>int</em> localOrgId - ID of the desired Master
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setCaCert" href="#setCaCert">Method: setCaCert</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the CA-CERT filename for specified Master on this Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - ID of the Master to affect
 </li>
<li>

    <em>string</em> caCertFilename - path to specified Master's CA cert
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setMasterOrgs" href="#setMasterOrgs">Method: setMasterOrgs</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Reset all organizations the specified Master has exported to this Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - Id of the desired Master
 </li>
<li>

<em>array</em> orgMaps
  <ul>
   <li>
	     <em>struct</em> master-org details
	<ul>
	<li><em>int</em> "masterOrgId"</li>
	<li><em>string</em> "masterOrgName"</li>
	<li><em>int</em> "localOrgId"</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="unsetDefaultMaster" href="#unsetDefaultMaster">Method: unsetDefaultMaster</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Make this slave have no default Master for inter-server-sync


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#update">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates the label of the specified Master


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> masterId - ID of the Master to update
 </li>
<li>

    <em>string</em> label - Desired new label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssMaster info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "caCert"</li>
	<li><em>boolean</em> "isCurrentMaster"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
