<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
packages
</p>
<p>Methods to retrieve information about the Packages contained
 within this server.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#findByNvrea"/>findByNvrea</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getPackage"/>getPackage</a></li>
<li><a href="#getPackageUrl"/>getPackageUrl</a></li>
<li><a href="#listChangelog"/>listChangelog</a></li>
<li><a href="#listDependencies"/>listDependencies</a></li>
<li><a href="#listFiles"/>listFiles</a></li>
<li><a href="#listProvidingChannels"/>listProvidingChannels</a></li>
<li><a href="#listProvidingErrata"/>listProvidingErrata</a></li>
<li><a href="#listSourcePackages"/>listSourcePackages</a></li>
<li><a href="#removePackage"/>removePackage</a></li>
<li><a href="#removeSourcePackage"/>removeSourcePackage</a></li>
</ul>
</div>
<hr />

<h3> <a name="findByNvrea" href="#findByNvrea">Method: findByNvrea</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup the details for packages with the given name, version,
          release, architecture label, and (optionally) epoch.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
<li>

    <em>string</em> version
 </li>
<li>

    <em>string</em> release
 </li>
<li>

    <em>string</em> epoch - If set to something other than empty string,
          strict matching will be used and the epoch string must be correct.
          If set to an empty string, if the epoch is null or there is only one
          NVRA combination, it will be returned.  (Empty string is recommended.)
 </li>
<li>

    <em>string</em> archLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
    <li><em>string</em> "path" - the path on that file system that the package
             resides</li>
    <li><em>boolean</em> "part_of_retracted_patch" - true if the package is a part of a retracted patch</li>
    <li><em>string</em> "provider" - the provider of the package, determined by
              the gpg key it was signed with.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieve details for the package with the ID.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> package
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch_label"</li>
    <li><em>array(string)</em> "providing_channels" - Channel label providing this package.
    </li>
	<li><em>string</em> "build_host"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "checksum_type"</li>
	<li><em>string</em> "vendor"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "cookie"</li>
	<li><em>string</em> "license"</li>
	<li><em>string</em> "file"</li>
	<li><em>string</em> "build_date"</li>
	<li><em>string</em> "last_modified_date"</li>
	<li><em>string</em> "size"</li>
    <li><em>string</em> "path" - The path on the Uyuni server's file system that
              the package resides.</li>
	<li><em>string</em> "payload_size"</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPackage" href="#getPackage">Method: getPackage</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieve the package file associated with a package.
 (Consider using packages.getPackageUrl
 for larger files.)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(byte)</em> binary object - package file
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPackageUrl" href="#getPackageUrl">Method: getPackageUrl</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieve the url that can be used to download a package.
      This will expire after a certain time period.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


string - the download url 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChangelog" href="#listChangelog">Method: listChangelog</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the change log for a package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


string 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listDependencies" href="#listDependencies">Method: listDependencies</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the dependencies for a package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> dependency
	<ul>
	<li><em>string</em> "dependency"</li>
    <li><em>string</em> "dependency_type" - One of the following:</li>
	<ul>
	<li>requires</li>
	<li>conflicts</li>
	<li>obsoletes</li>
	<li>provides</li>
	<li>recommends</li>
	<li>suggests</li>
	<li>supplements</li>
	<li>enhances</li>
	<li>predepends</li>
	<li>breaks</li>
	</ul>
	<li><em>string</em> "dependency_modifier"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFiles" href="#listFiles">Method: listFiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the files associated with a package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> file info
	<ul>
	<li><em>string</em> "path"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "last_modified_date"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "checksum_type"</li>
	<li><em>int</em> "size"</li>
	<li><em>string</em> "linkto"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProvidingChannels" href="#listProvidingChannels">Method: listProvidingChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the channels that provide the a package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "parent_label"</li>
	<li><em>string</em> "name"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProvidingErrata" href="#listProvidingErrata">Method: listProvidingErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the errata providing the a package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> errata
	<ul>
	<li><em>string</em> "advisory"</li>
	<li><em>string</em> "issue_date"</li>
	<li><em>string</em> "last_modified_date"</li>
	<li><em>string</em> "update_date"</li>
	<li><em>string</em> "synopsis"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSourcePackages" href="#listSourcePackages">Method: listSourcePackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all source packages in user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> source_package
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removePackage" href="#removePackage">Method: removePackage</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a package from #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeSourcePackage" href="#removeSourcePackage">Method: removeSourcePackage</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a source package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> psid - package source ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
