<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
preferences.locale
</p>
<p>Provides methods to access and modify user locale information</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#listLocales"/>listLocales</a></li>
<li><a href="#listTimeZones"/>listTimeZones</a></li>
<li><a href="#setLocale"/>setLocale</a></li>
<li><a href="#setTimeZone"/>setTimeZone</a></li>
</ul>
</div>
<hr />

<h3> <a name="listLocales" href="#listLocales">Method: listLocales</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all understood locales. Can be
 used as input to setLocale.


<h4>Parameters</h4>
<ul>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> Locale code.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listTimeZones" href="#listTimeZones">Method: listTimeZones</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all understood timezones. Results can be
 used as input to setTimeZone.


<h4>Parameters</h4>
<ul>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> timezone
	<ul>
    <li><em>int</em> "time_zone_id" - unique identifier for timezone</li>
    <li><em>string</em> "olson_name" - name as identified by the Olson database</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setLocale" href="#setLocale">Method: setLocale</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set a user's locale.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> login - User's login name.
 </li>
<li>

    <em>string</em> locale - Locale to set. (from listLocales)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setTimeZone" href="#setTimeZone">Method: setTimeZone</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set a user's timezone.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> login - User's login name.
 </li>
<li>

    <em>int</em> tzid - Timezone ID. (from listTimeZones)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
