<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.config
</p>
<p>Provides methods to access and modify many aspects of
 configuration channels and server association.
 basically system.config name space</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addChannels"/>addChannels</a></li>
<li><a href="#createOrUpdatePath"/>createOrUpdatePath</a></li>
<li><a href="#createOrUpdateSymlink"/>createOrUpdateSymlink</a></li>
<li><a href="#deleteFiles"/>deleteFiles</a></li>
<li><a href="#deployAll"/>deployAll</a></li>
<li><a href="#listChannels"/>listChannels</a></li>
<li><a href="#listFiles"/>listFiles</a></li>
<li><a href="#lookupFileInfo"/>lookupFileInfo</a></li>
<li><a href="#removeChannels"/>removeChannels</a></li>
<li><a href="#scheduleApplyConfigChannel"/>scheduleApplyConfigChannel</a></li>
<li><a href="#setChannels"/>setChannels</a></li>
</ul>
</div>
<hr />

<h3> <a name="addChannels" href="#addChannels">Method: addChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Given a list of servers and configuration channels,
 this method appends the configuration channels to either the top or
 the bottom (whichever you specify) of a system's subscribed
 configuration channels list. The ordering of the configuration channels
 provided in the add list is maintained while adding.
 If one of the configuration channels in the 'add' list
 has been previously subscribed by a server, the
 subscribed channel will be re-ranked to the appropriate place.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - IDs of the systems to add the channels to.
 </li>
<li>

<em>array(string)</em> configChannelLabels - List of configuration channel labels in the ranked order.
 </li>
<li>

    <em>boolean</em> addToTop
	<ul>
	<li>true - to prepend the given channels
          list to the top of the configuration channels list of a server</li>
	<li>false - to append the given  channels
          list to the bottom of the configuration channels list of a server</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createOrUpdatePath" href="#createOrUpdatePath">Method: createOrUpdatePath</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new file (text or binary) or directory with the given path, or
 update an existing path on a server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> path - the configuration file/directory path
 </li>
<li>

    <em>boolean</em> isDir
	<ul>
	<li>True - if the path is a directory</li>
	<li>False - if the path is a file</li>
	</ul>
 </li>
<li>

	     <em>struct</em> data
	<ul>
    <li><em>string</em> "contents" - Contents of the file (text or base64 encoded if binary)
                   ((only for non-directories)</li>
    <li><em>boolean</em> "contents_enc64" - Identifies base64 encoded content
                  (default: disabled, only for non-directories).</li>
    <li><em>string</em> "owner" - Owner of the file/directory.</li>
    <li><em>string</em> "group" - Group name of the file/directory.</li>
    <li><em>string</em> "permissions" - Octal file/directory permissions (eg: 644)</li>
    <li><em>string</em> "macro-start-delimiter" - Config file macro end delimiter. Use null or empty string
              to accept the default. (only for non-directories)</li>
    <li><em>string</em> "macro-end-delimiter" - Config file macro end delimiter. Use null or empty string
              to accept the default. (only for non-directories)</li>
    <li><em>string</em> "selinux_ctx" - SeLinux context (optional)</li>
    <li><em>int</em> "revision" - next revision number, auto increment for null</li>
    <li><em>boolean</em> "binary" - mark the binary content, if True,
      base64 encoded content is expected (only for non-directories)</li>
	</ul>
 </li>
<li>

    <em>boolean</em> commitToLocal
	<ul>
	<li>1 - to commit configuration files
              to the system's local override configuration channel</li>
	<li>0 - to commit configuration files
              to the system's sandbox configuration channel</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="createOrUpdateSymlink" href="#createOrUpdateSymlink">Method: createOrUpdateSymlink</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new symbolic link with the given path, or
 update an existing path.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> path - the configuration file/directory path
 </li>
<li>

	     <em>struct</em> data
	<ul>
    <li><em>string</em> "target_path" - The target path for the symbolic link</li>
    <li><em>string</em> "selinux_ctx" - SELinux Security context (optional)</li>
    <li><em>int</em> "revision" - next revision number, auto increment for null</li>
	</ul>
 </li>
<li>

    <em>boolean</em> commitToLocal
	<ul>
	<li>1 - to commit configuration files
              to the system's local override configuration channel</li>
	<li>0 - to commit configuration files
              to the system's sandbox configuration channel</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="deleteFiles" href="#deleteFiles">Method: deleteFiles</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes file paths from a local or sandbox channel of a server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> paths
 </li>
<li>

    <em>boolean</em> deleteFromLocal
	<ul>
	<li>True - to delete configuration file paths
              from the system's local override configuration channel</li>
	<li>False - to delete configuration file paths
              from the system's sandbox configuration channel</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deployAll" href="#deployAll">Method: deployAll</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules a deploy action for all the configuration files
 on the given list of systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - IDs of the systems to schedule configuration files deployment
 </li>
<li>

    <em>dateTime.iso8601</em> date - Earliest date for the deploy action.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChannels" href="#listChannels">Method: listChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all global('Normal', 'State') configuration channels associated to a
              system in the order of their ranking.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
  

	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFiles" href="#listFiles">Method: listFiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of files in a given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> listLocal
	<ul>
	<li>1 - to return configuration files
              in the system's local override configuration channel</li>
	<li>0 - to return configuration files
              in the system's sandbox configuration channel</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> configuration file information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "channel_label" - the label of the  central configuration channel
      that has this file. Note this entry only shows up
      if the file has not been overridden by a central channel.</li>
	<li><em>struct</em> "channel_type"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
    <li><em>dateTime.iso8601</em> "last_modified" - Last Modified Date</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupFileInfo" href="#lookupFileInfo">Method: lookupFileInfo</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Given a list of paths and a server, returns details about
 the latest revisions of the paths.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> paths - paths to lookup on.
 </li>
<li>

    <em>boolean</em> searchLocal
	<ul>
	<li>1 - to search configuration file paths
              in the system's local override configuration or
              systems subscribed central channels</li>
	<li>0 - to search configuration file paths
              in the system's sandbox configuration channel</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="removeChannels" href="#removeChannels">Method: removeChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove config channels from the given servers.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - the IDs of the systems from which you
              would like to remove configuration channels..
 </li>
<li>

<em>array(string)</em> configChannelLabels - List of configuration channel labels to remove.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleApplyConfigChannel" href="#scheduleApplyConfigChannel">Method: scheduleApplyConfigChannel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule highstate application for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> test - Run states in test-only mode
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setChannels" href="#setChannels">Method: setChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Replace the existing set of config channels on the given servers.
 Channels are ranked according to their order in the configChannelLabels
 array.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - IDs of the systems to set the channels on.
 </li>
<li>

<em>array(string)</em> configChannelLabels - List of configuration channel labels in the ranked order.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
