<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
systemgroup
</p>
<p>Provides methods to access and modify system groups.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addOrRemoveAdmins"/>addOrRemoveAdmins</a></li>
<li><a href="#addOrRemoveSystems"/>addOrRemoveSystems</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listActiveSystemsInGroup"/>listActiveSystemsInGroup</a></li>
<li><a href="#listAdministrators"/>listAdministrators</a></li>
<li><a href="#listAllGroups"/>listAllGroups</a></li>
<li><a href="#listAssignedConfigChannels"/>listAssignedConfigChannels</a></li>
<li><a href="#listAssignedFormuals"/>listAssignedFormuals</a></li>
<li><a href="#listGroupsWithNoAssociatedAdmins"/>listGroupsWithNoAssociatedAdmins</a></li>
<li><a href="#listInactiveSystemsInGroup"/>listInactiveSystemsInGroup</a></li>
<li><a href="#listInactiveSystemsInGroup"/>listInactiveSystemsInGroup</a></li>
<li><a href="#listSystems"/>listSystems</a></li>
<li><a href="#listSystemsMinimal"/>listSystemsMinimal</a></li>
<li><a href="#scheduleApplyErrataToActive"/>scheduleApplyErrataToActive</a></li>
<li><a href="#scheduleApplyErrataToActive"/>scheduleApplyErrataToActive</a></li>
<li><a href="#scheduleApplyErrataToActive"/>scheduleApplyErrataToActive</a></li>
<li><a href="#subscribeConfigChannel"/>subscribeConfigChannel</a></li>
<li><a href="#unsubscribeConfigChannel"/>unsubscribeConfigChannel</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="addOrRemoveAdmins" href="#addOrRemoveAdmins">Method: addOrRemoveAdmins</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add or remove administrators to/from the given group. #product() and
 Organization administrators are granted access to groups within their organization
 by default; therefore, users with those roles should not be included in the array
 provided. Caller must be an organization administrator.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(string)</em> loginName - User's loginName
 </li>
<li>

    <em>int</em> add - 1 to add administrators, 0 to remove.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addOrRemoveSystems" href="#addOrRemoveSystems">Method: addOrRemoveSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add/remove the given servers to a system group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(int)</em> serverIds
 </li>
<li>

    <em>boolean</em> add - True to add to the group,
              False to remove.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#create">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new system group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - Name of the system group.
 </li>
<li>

    <em>string</em> description - Description of the
                  system group.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#delete">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a system group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieve details of a ServerGroup based on it's id


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemGroupId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieve details of a ServerGroup based on it's name


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listActiveSystemsInGroup" href="#listActiveSystemsInGroup">Method: listActiveSystemsInGroup</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists active systems within a server group


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> server_id
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAdministrators" href="#listAdministrators">Method: listAdministrators</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the list of users who can administer the given group.
 Caller must be a system group admin or an organization administrator.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> user
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "login"</li>
    <li><em>string</em> "login_uc" - upper case version of the login</li>
    <li><em>boolean</em> "enabled" - true if user is enabled,
                         false if the user is disabled</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllGroups" href="#listAllGroups">Method: listAllGroups</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Retrieve a list of system groups that are accessible by the logged
      in user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAssignedConfigChannels" href="#listAssignedConfigChannels">Method: listAssignedConfigChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all Configuration Channels assigned to a system group


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 25 <p />
<hr />

<h3> <a name="listAssignedFormuals" href="#listAssignedFormuals">Method: listAssignedFormuals</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all Configuration Channels assigned to a system group


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> formula
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "formula_group"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 25 <p />
<hr />

<h3> <a name="listGroupsWithNoAssociatedAdmins" href="#listGroupsWithNoAssociatedAdmins">Method: listGroupsWithNoAssociatedAdmins</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of system groups that do not have an administrator.
 (who is not an organization administrator, as they have implicit access to
 system groups) Caller must be an organization administrator.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInactiveSystemsInGroup" href="#listInactiveSystemsInGroup">Method: listInactiveSystemsInGroup</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists inactive systems within a server group using a
          specified inactivity time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

    <em>int</em> daysInactive - Number of days a system
           must not check in to be considered inactive.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> server_id
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInactiveSystemsInGroup" href="#listInactiveSystemsInGroup">Method: listInactiveSystemsInGroup</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists inactive systems within a server group using the default
          1 day threshold.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> server_id
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystems" href="#listSystems">Method: listSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of systems associated with this system group.
 User must have access to this system group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> server details
	<ul>
    <li><em>int</em> "id" - system ID</li>
	<li><em>string</em> "profile_name"</li>
	<li><em>string</em> "machine_id"</li>
    <li><em>boolean</em> "payg" - Whether the server instance is payg or not</li>
	<li><em>string</em> "minion_id"</li>
    <li><em>string</em> "base_entitlement" - system's base entitlement label</li>

    <li><em>array(string)</em> "addon_entitlements" - system's addon entitlements labels,
                       currently only 'virtualization_host'
    </li>
    <li><em>boolean</em> "auto_update" - true if system has auto errata updates
                                          enabled</li>
    <li><em>string</em> "release" - the operating system release (i.e. 4AS,
                      5Server)</li>
	<li><em>string</em> "address1"</li>
	<li><em>string</em> "address2"</li>
	<li><em>string</em> "city"</li>
	<li><em>string</em> "state"</li>
	<li><em>string</em> "country"</li>
	<li><em>string</em> "building"</li>
	<li><em>string</em> "room"</li>
	<li><em>string</em> "rack"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "hostname"</li>
	<li><em>dateTime.iso8601</em> "last_boot"</li>
    <li><em>string</em> "osa_status" - either 'unknown', 'offline', or 'online'</li>
    <li><em>boolean</em> "lock_status" - True indicates that the system is locked.
           False indicates that the system is unlocked.</li>
    <li><em>string</em> "virtualization" - virtualization type -
           for virtual guests only (optional)</li>
    <li><em>string</em> "contact_method" - one of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsMinimal" href="#listSystemsMinimal">Method: listSystemsMinimal</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of systems associated with this system group.
 User must have access to this system group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleApplyErrataToActive" href="#scheduleApplyErrataToActive">Method: scheduleApplyErrataToActive</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to active systems
 from a group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="scheduleApplyErrataToActive" href="#scheduleApplyErrataToActive">Method: scheduleApplyErrataToActive</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to active systems
 from a group at a given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="scheduleApplyErrataToActive" href="#scheduleApplyErrataToActive">Method: scheduleApplyErrataToActive</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to active systems
 from a group at a given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> onlyRelevant
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 24 <p />
<hr />

<h3> <a name="subscribeConfigChannel" href="#subscribeConfigChannel">Method: subscribeConfigChannel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Subscribe given config channels to a system group


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(string)</em> configChannelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


1 on success, exception on failure 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="unsubscribeConfigChannel" href="#unsubscribeConfigChannel">Method: unsubscribeConfigChannel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Unsubscribe given config channels to a system group


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

<em>array(string)</em> configChannelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


1 on success, exception on failure 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#update">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update an existing system group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemGroupName
 </li>
<li>

    <em>string</em> description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
