<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.provisioning.snapshot
</p>
<p>Provides methods to access and delete system snapshots.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addTagToSnapshot"/>addTagToSnapshot</a></li>
<li><a href="#deleteSnapshot"/>deleteSnapshot</a></li>
<li><a href="#deleteSnapshots"/>deleteSnapshots</a></li>
<li><a href="#deleteSnapshots"/>deleteSnapshots</a></li>
<li><a href="#deleteSnapshots"/>deleteSnapshots</a></li>
<li><a href="#deleteSnapshots"/>deleteSnapshots</a></li>
<li><a href="#listSnapshotConfigFiles"/>listSnapshotConfigFiles</a></li>
<li><a href="#listSnapshotPackages"/>listSnapshotPackages</a></li>
<li><a href="#listSnapshots"/>listSnapshots</a></li>
<li><a href="#listSnapshots"/>listSnapshots</a></li>
<li><a href="#rollbackToSnapshot"/>rollbackToSnapshot</a></li>
<li><a href="#rollbackToTag"/>rollbackToTag</a></li>
<li><a href="#rollbackToTag"/>rollbackToTag</a></li>
</ul>
</div>
<hr />

<h3> <a name="addTagToSnapshot" href="#addTagToSnapshot">Method: addTagToSnapshot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds tag to snapshot


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> snapId - ID of the snapshot
 </li>
<li>

    <em>string</em> tagName - Name of the snapshot tag
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteSnapshot" href="#deleteSnapshot">Method: deleteSnapshot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes a snapshot with the given snapshot id


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> snapId - ID of snapshot to delete
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="deleteSnapshots" href="#deleteSnapshots">Method: deleteSnapshots</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes all snapshots across multiple systems based on the given date
 criteria.  For example,
 
 If the user provides startDate only, all snapshots created either on or after
 the date provided will be removed.
 If user provides startDate and endDate, all snapshots created on or between the
 dates provided will be removed.
 If the user doesn't provide a startDate and endDate, all snapshots will be
 removed.
 


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
<li>

    <em>dateTime.iso8601</em> endDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="deleteSnapshots" href="#deleteSnapshots">Method: deleteSnapshots</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes all snapshots for a given system based on the date
 criteria.  For example,
 
 If the user provides startDate only, all snapshots created either on or after
 the date provided will be removed.
 If user provides startDate and endDate, all snapshots created on or between the
 dates provided will be removed.
 If the user doesn't provide a startDate and endDate, all snapshots associated
 with the server will be removed.
 


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of system to delete snapshots for
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
<li>

    <em>dateTime.iso8601</em> endDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="deleteSnapshots" href="#deleteSnapshots">Method: deleteSnapshots</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes all snapshots across multiple systems based on the given date
 criteria.  For example,
 
 If the user provides startDate only, all snapshots created either on or after
 the date provided will be removed.
 If user provides startDate and endDate, all snapshots created on or between the
 dates provided will be removed.
 If the user doesn't provide a startDate and endDate, all snapshots will be
 removed.
 


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> dateDetails
	<ul>
    <li><em>dateTime.iso8601</em> "startDate" - Optional, unless endDate
         is provided.</li>
    <li><em>dateTime.iso8601</em> "endDate" - Optional.</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="deleteSnapshots" href="#deleteSnapshots">Method: deleteSnapshots</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes all snapshots for a given system based on the date
 criteria.  For example,
 
 If the user provides startDate only, all snapshots created either on or after
 the date provided will be removed.
 If user provides startDate and endDate, all snapshots created on or between the
 dates provided will be removed.
 If the user doesn't provide a startDate and endDate, all snapshots associated
 with the server will be removed.
 


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of system to delete
          snapshots for
 </li>
<li>

	     <em>struct</em> dateDetails
	<ul>
    <li><em>dateTime.iso8601</em> "startDate" - Optional, unless endDate
         is provided.</li>
    <li><em>dateTime.iso8601</em> "endDate" - Optional.</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="listSnapshotConfigFiles" href="#listSnapshotConfigFiles">Method: listSnapshotConfigFiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the config files associated with a snapshot.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> snapId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="listSnapshotPackages" href="#listSnapshotPackages">Method: listSnapshotPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the packages associated with a snapshot.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> snapId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> package nevra
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="listSnapshots" href="#listSnapshots">Method: listSnapshots</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List snapshots for a given system.
 A user may optionally provide a start and end date to narrow the snapshots that
 will be listed.  For example,
 
 If the user provides startDate only, all snapshots created either on or after
 the date provided will be returned.
 If user provides startDate and endDate, all snapshots created on or between the
 dates provided will be returned.
 If the user doesn't provide a startDate and endDate, all snapshots associated
 with the server will be returned.
 


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
<li>

    <em>dateTime.iso8601</em> endDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> server snapshot
	<ul>
	<li><em>int</em> "id"</li>
    <li><em>string</em> "reason" - the reason for the snapshot's existence</li>
	<li><em>dateTime.iso8601</em> "created"</li>
    <li><em>array(string)</em> "channels" - labels of channels associated with the
              snapshot
    </li>
    <li><em>array(string)</em> "groups" - names of server groups associated with
              the snapshot
    </li>
    <li><em>array(string)</em> "entitlements" - names of system entitlements associated
              with the snapshot
    </li>
    <li><em>array(string)</em> "config_channels" - labels of config channels the snapshot
                  is associated with
    </li>
    <li><em>array(string)</em> "tags" - tag names associated with this snapshot
    </li>
    <li><em>string</em> "Invalid_reason" - if the snapshot is invalid, this is the
                  reason (optional)</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="listSnapshots" href="#listSnapshots">Method: listSnapshots</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List snapshots for a given system.
 A user may optionally provide a start and end date to narrow the snapshots that
 will be listed.  For example,
 
 If the user provides startDate only, all snapshots created either on or after
 the date provided will be returned.
 If user provides startDate and endDate, all snapshots created on or between the
 dates provided will be returned.
 If the user doesn't provide a startDate and endDate, all snapshots associated
 with the server will be returned.
 


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

	     <em>struct</em> dateDetails
	<ul>
    <li><em>dateTime.iso8601</em> "startDate" - Optional, unless endDate
         is provided.</li>
    <li><em>dateTime.iso8601</em> "endDate" - Optional.</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> server snapshot
	<ul>
	<li><em>int</em> "id"</li>
    <li><em>string</em> "reason" - the reason for the snapshot's existence</li>
	<li><em>dateTime.iso8601</em> "created"</li>
    <li><em>array(string)</em> "channels" - labels of channels associated with the
              snapshot
    </li>
    <li><em>array(string)</em> "groups" - names of server groups associated with
              the snapshot
    </li>
    <li><em>array(string)</em> "entitlements" - names of system entitlements associated
              with the snapshot
    </li>
    <li><em>array(string)</em> "config_channels" - labels of config channels the snapshot
                  is associated with
    </li>
    <li><em>array(string)</em> "tags" - tag names associated with this snapshot
    </li>
    <li><em>string</em> "Invalid_reason" - if the snapshot is invalid, this is the
                  reason (optional)</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.1 <p />
<hr />

<h3> <a name="rollbackToSnapshot" href="#rollbackToSnapshot">Method: rollbackToSnapshot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Rollbacks server to snapshot


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> snapId - ID of the snapshot
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="rollbackToTag" href="#rollbackToTag">Method: rollbackToTag</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Rollbacks server to snapshot


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> tagName - Name of the snapshot tag
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="rollbackToTag" href="#rollbackToTag">Method: rollbackToTag</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Rollbacks server to snapshot


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> tagName - Name of the snapshot tag
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
