<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.scap
</p>
<p>Provides methods to schedule SCAP scans and access the results.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#deleteXccdfScan"/>deleteXccdfScan</a></li>
<li><a href="#getXccdfScanDetails"/>getXccdfScanDetails</a></li>
<li><a href="#getXccdfScanRuleResults"/>getXccdfScanRuleResults</a></li>
<li><a href="#listXccdfScans"/>listXccdfScans</a></li>
<li><a href="#scheduleXccdfScan"/>scheduleXccdfScan</a></li>
<li><a href="#scheduleXccdfScan"/>scheduleXccdfScan</a></li>
<li><a href="#scheduleXccdfScan"/>scheduleXccdfScan</a></li>
<li><a href="#scheduleXccdfScan"/>scheduleXccdfScan</a></li>
<li><a href="#scheduleXccdfScan"/>scheduleXccdfScan</a></li>
</ul>
</div>
<hr />

<h3> <a name="deleteXccdfScan" href="#deleteXccdfScan">Method: deleteXccdfScan</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete OpenSCAP XCCDF Scan from the #product() database. Note that
 only those SCAP Scans can be deleted which have passed their retention period.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> xid - ID of XCCDF scan.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - indicates success of the operation
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getXccdfScanDetails" href="#getXccdfScanDetails">Method: getXccdfScanDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get details of given OpenSCAP XCCDF scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> xid - ID of XCCDF scan.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> OpenSCAP XCCDF Scan
	<ul>
    <li><em>int</em> "xid" - XCCDF TestResult ID</li>
    <li><em>int</em> "sid" - serverId</li>
    <li><em>int</em> "action_id" - ID of the parent action</li>
    <li><em>string</em> "path" - path to XCCDF document</li>
    <li><em>string</em> "ovalfiles" - optional OVAL files</li>
    <li><em>string</em> "oscap_parameters" - oscap command-line arguments</li>
    <li><em>string</em> "test_result" - identifier of XCCDF TestResult</li>
    <li><em>string</em> "benchmark" - identifier of XCCDF Benchmark</li>
    <li><em>string</em> "benchmark_version" - version of the Benchmark</li>
    <li><em>string</em> "profile" - identifier of XCCDF Profile</li>
    <li><em>string</em> "profile_title" - title of XCCDF Profile</li>
    <li><em>dateTime.iso8601</em> "start_time" - client machine time of scan start</li>
    <li><em>dateTime.iso8601</em> "end_time" - client machine time of scan completion</li>
    <li><em>string</em> "errors" - stderr output of scan</li>
    <li><em>boolean</em> "deletable" - indicates whether the scan can be deleted</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getXccdfScanRuleResults" href="#getXccdfScanRuleResults">Method: getXccdfScanRuleResults</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a full list of RuleResults for given OpenSCAP XCCDF scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> xid - ID of XCCDF scan.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> OpenSCAP XCCDF RuleResult
	<ul>
    <li><em>string</em> "idref" - idref from XCCDF document</li>
    <li><em>string</em> "result" - result of evaluation</li>
    <li><em>string</em> "idents" - comma separated list of XCCDF idents</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listXccdfScans" href="#listXccdfScans">Method: listXccdfScans</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of finished OpenSCAP scans for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> OpenSCAP XCCDF Scan
	<ul>
    <li><em>int</em> "xid" - XCCDF TestResult ID</li>
    <li><em>string</em> "profile" - XCCDF Profile</li>
    <li><em>string</em> "path" - path to XCCDF document</li>
    <li><em>string</em> "ovalfiles" - optional OVAL files</li>
    <li><em>dateTime.iso8601</em> "completed" - scan completion time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleXccdfScan" href="#scheduleXccdfScan">Method: scheduleXccdfScan</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule OpenSCAP scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>string</em> xccdfPath - path to xccdf content on targeted systems.
 </li>
<li>

    <em>string</em> oscapParams - additional parameters for oscap tool.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID if SCAP action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleXccdfScan" href="#scheduleXccdfScan">Method: scheduleXccdfScan</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule OpenSCAP scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>string</em> xccdfPath - path to xccdf content on targeted systems.
 </li>
<li>

    <em>string</em> oscapParams - additional parameters for oscap tool.
 </li>
<li>

    <em>dateTime.iso8601</em> date - The date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID if SCAP action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleXccdfScan" href="#scheduleXccdfScan">Method: scheduleXccdfScan</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule OpenSCAP scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>string</em> xccdfPath - Path to xccdf content on targeted systems.
 </li>
<li>

    <em>string</em> oscapPrams - Additional parameters for oscap tool.
 </li>
<li>

    <em>string</em> ovalFiles - Additional OVAL files for oscap tool.
 </li>
<li>

    <em>dateTime.iso8601</em> date - The date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID if SCAP action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleXccdfScan" href="#scheduleXccdfScan">Method: scheduleXccdfScan</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule Scap XCCDF scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> xccdfPath - Path to xccdf content on targeted systems.
 </li>
<li>

    <em>string</em> oscapPrams - Additional parameters for oscap tool.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the scap action created
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleXccdfScan" href="#scheduleXccdfScan">Method: scheduleXccdfScan</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule Scap XCCDF scan.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> xccdfPath - Path to xccdf content on targeted systems.
 </li>
<li>

    <em>string</em> oscapPrams - Additional parameters for oscap tool.
 </li>
<li>

    <em>dateTime.iso8601</em> date - The date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the scap action created
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
