<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.search
</p>
<p>Provides methods to perform system search requests using the search server.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#deviceDescription"/>deviceDescription</a></li>
<li><a href="#deviceDriver"/>deviceDriver</a></li>
<li><a href="#deviceId"/>deviceId</a></li>
<li><a href="#deviceVendorId"/>deviceVendorId</a></li>
<li><a href="#hostname"/>hostname</a></li>
<li><a href="#ip"/>ip</a></li>
<li><a href="#nameAndDescription"/>nameAndDescription</a></li>
<li><a href="#uuid"/>uuid</a></li>
</ul>
</div>
<hr />

<h3> <a name="deviceDescription" href="#deviceDescription">Method: deviceDescription</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match the device description.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deviceDriver" href="#deviceDriver">Method: deviceDriver</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this device driver.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deviceId" href="#deviceId">Method: deviceId</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this device id


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deviceVendorId" href="#deviceVendorId">Method: deviceVendorId</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this device vendor_id


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="hostname" href="#hostname">Method: hostname</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this hostname


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="ip" href="#ip">Method: ip</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this ip.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="nameAndDescription" href="#nameAndDescription">Method: nameAndDescription</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this name or description


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="uuid" href="#uuid">Method: uuid</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the systems which match this UUID


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> searchTerm
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
              successfully checked in</li>
	<li><em>string</em> "hostname"</li>
	<li><em>string</em> "uuid"</li>
	<li><em>string</em> "ip"</li>
    <li><em>string</em> "hw_description" - HW description if not null</li>
    <li><em>string</em> "hw_device_id" - HW device id if not null</li>
    <li><em>string</em> "hw_vendor_id" - HW vendor id if not null</li>
    <li><em>string</em> "hw_driver" - HW driver if not null</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
