<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system
</p>
<p>Provides methods to access and modify registered system.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addEntitlements"/>addEntitlements</a></li>
<li><a href="#addNote"/>addNote</a></li>
<li><a href="#bootstrap"/>bootstrap</a></li>
<li><a href="#bootstrap"/>bootstrap</a></li>
<li><a href="#bootstrap"/>bootstrap</a></li>
<li><a href="#bootstrap"/>bootstrap</a></li>
<li><a href="#bootstrapWithPrivateSshKey"/>bootstrapWithPrivateSshKey</a></li>
<li><a href="#bootstrapWithPrivateSshKey"/>bootstrapWithPrivateSshKey</a></li>
<li><a href="#bootstrapWithPrivateSshKey"/>bootstrapWithPrivateSshKey</a></li>
<li><a href="#bootstrapWithPrivateSshKey"/>bootstrapWithPrivateSshKey</a></li>
<li><a href="#changeProxy"/>changeProxy</a></li>
<li><a href="#comparePackageProfile"/>comparePackageProfile</a></li>
<li><a href="#comparePackages"/>comparePackages</a></li>
<li><a href="#createPackageProfile"/>createPackageProfile</a></li>
<li><a href="#createSystemProfile"/>createSystemProfile</a></li>
<li><a href="#createSystemRecord"/>createSystemRecord</a></li>
<li><a href="#createSystemRecord"/>createSystemRecord</a></li>
<li><a href="#deleteCustomValues"/>deleteCustomValues</a></li>
<li><a href="#deleteGuestProfiles"/>deleteGuestProfiles</a></li>
<li><a href="#deleteNote"/>deleteNote</a></li>
<li><a href="#deleteNotes"/>deleteNotes</a></li>
<li><a href="#deletePackageProfile"/>deletePackageProfile</a></li>
<li><a href="#deleteSystem"/>deleteSystem</a></li>
<li><a href="#deleteSystem"/>deleteSystem</a></li>
<li><a href="#deleteSystem"/>deleteSystem</a></li>
<li><a href="#deleteSystems"/>deleteSystems</a></li>
<li><a href="#deleteSystems"/>deleteSystems</a></li>
<li><a href="#deleteTagFromSnapshot"/>deleteTagFromSnapshot</a></li>
<li><a href="#downloadSystemId"/>downloadSystemId</a></li>
<li><a href="#getConnectionPath"/>getConnectionPath</a></li>
<li><a href="#getCpu"/>getCpu</a></li>
<li><a href="#getCustomValues"/>getCustomValues</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDevices"/>getDevices</a></li>
<li><a href="#getDmi"/>getDmi</a></li>
<li><a href="#getEntitlements"/>getEntitlements</a></li>
<li><a href="#getEventDetails"/>getEventDetails</a></li>
<li><a href="#getEventHistory"/>getEventHistory</a></li>
<li><a href="#getEventHistory"/>getEventHistory</a></li>
<li><a href="#getEventHistory"/>getEventHistory</a></li>
<li><a href="#getEventHistory"/>getEventHistory</a></li>
<li><a href="#getId"/>getId</a></li>
<li><a href="#getInstalledProducts"/>getInstalledProducts</a></li>
<li><a href="#getKernelLivePatch"/>getKernelLivePatch</a></li>
<li><a href="#getMemory"/>getMemory</a></li>
<li><a href="#getMinionIdMap"/>getMinionIdMap</a></li>
<li><a href="#getName"/>getName</a></li>
<li><a href="#getNetwork"/>getNetwork</a></li>
<li><a href="#getNetworkDevices"/>getNetworkDevices</a></li>
<li><a href="#getNetworkForSystems"/>getNetworkForSystems</a></li>
<li><a href="#getOsaPing"/>getOsaPing</a></li>
<li><a href="#getPillar"/>getPillar</a></li>
<li><a href="#getPillar"/>getPillar</a></li>
<li><a href="#getRegistrationDate"/>getRegistrationDate</a></li>
<li><a href="#getRelevantErrata"/>getRelevantErrata</a></li>
<li><a href="#getRelevantErrata"/>getRelevantErrata</a></li>
<li><a href="#getRelevantErrataByType"/>getRelevantErrataByType</a></li>
<li><a href="#getRunningKernel"/>getRunningKernel</a></li>
<li><a href="#getScriptActionDetails"/>getScriptActionDetails</a></li>
<li><a href="#getScriptResults"/>getScriptResults</a></li>
<li><a href="#getSubscribedBaseChannel"/>getSubscribedBaseChannel</a></li>
<li><a href="#getSystemCurrencyMultipliers"/>getSystemCurrencyMultipliers</a></li>
<li><a href="#getSystemCurrencyScores"/>getSystemCurrencyScores</a></li>
<li><a href="#getUnscheduledErrata"/>getUnscheduledErrata</a></li>
<li><a href="#getUuid"/>getUuid</a></li>
<li><a href="#getVariables"/>getVariables</a></li>
<li><a href="#isNvreInstalled"/>isNvreInstalled</a></li>
<li><a href="#isNvreInstalled"/>isNvreInstalled</a></li>
<li><a href="#listActivationKeys"/>listActivationKeys</a></li>
<li><a href="#listActiveSystems"/>listActiveSystems</a></li>
<li><a href="#listActiveSystemsDetails"/>listActiveSystemsDetails</a></li>
<li><a href="#listAdministrators"/>listAdministrators</a></li>
<li><a href="#listAllInstallablePackages"/>listAllInstallablePackages</a></li>
<li><a href="#listDuplicatesByHostname"/>listDuplicatesByHostname</a></li>
<li><a href="#listDuplicatesByIp"/>listDuplicatesByIp</a></li>
<li><a href="#listDuplicatesByMac"/>listDuplicatesByMac</a></li>
<li><a href="#listEmptySystemProfiles"/>listEmptySystemProfiles</a></li>
<li><a href="#listExtraPackages"/>listExtraPackages</a></li>
<li><a href="#listFqdns"/>listFqdns</a></li>
<li><a href="#listGroups"/>listGroups</a></li>
<li><a href="#listInactiveSystems"/>listInactiveSystems</a></li>
<li><a href="#listInactiveSystems"/>listInactiveSystems</a></li>
<li><a href="#listInstalledPackages"/>listInstalledPackages</a></li>
<li><a href="#listLatestAvailablePackage"/>listLatestAvailablePackage</a></li>
<li><a href="#listLatestInstallablePackages"/>listLatestInstallablePackages</a></li>
<li><a href="#listLatestUpgradablePackages"/>listLatestUpgradablePackages</a></li>
<li><a href="#listMigrationTargets"/>listMigrationTargets</a></li>
<li><a href="#listMigrationTargets"/>listMigrationTargets</a></li>
<li><a href="#listNewerInstalledPackages"/>listNewerInstalledPackages</a></li>
<li><a href="#listNotes"/>listNotes</a></li>
<li><a href="#listOlderInstalledPackages"/>listOlderInstalledPackages</a></li>
<li><a href="#listOutOfDateSystems"/>listOutOfDateSystems</a></li>
<li><a href="#listPackageProfiles"/>listPackageProfiles</a></li>
<li><a href="#listPackageState"/>listPackageState</a></li>
<li><a href="#listPackages"/>listPackages</a></li>
<li><a href="#listPackagesFromChannel"/>listPackagesFromChannel</a></li>
<li><a href="#listPackagesLockStatus"/>listPackagesLockStatus</a></li>
<li><a href="#listPhysicalSystems"/>listPhysicalSystems</a></li>
<li><a href="#listSubscribableBaseChannels"/>listSubscribableBaseChannels</a></li>
<li><a href="#listSubscribableChildChannels"/>listSubscribableChildChannels</a></li>
<li><a href="#listSubscribedChildChannels"/>listSubscribedChildChannels</a></li>
<li><a href="#listSuggestedReboot"/>listSuggestedReboot</a></li>
<li><a href="#listSystemEvents"/>listSystemEvents</a></li>
<li><a href="#listSystemEvents"/>listSystemEvents</a></li>
<li><a href="#listSystemEvents"/>listSystemEvents</a></li>
<li><a href="#listSystemEvents"/>listSystemEvents</a></li>
<li><a href="#listSystemGroupsForSystemsWithEntitlement"/>listSystemGroupsForSystemsWithEntitlement</a></li>
<li><a href="#listSystems"/>listSystems</a></li>
<li><a href="#listSystemsWithEntitlement"/>listSystemsWithEntitlement</a></li>
<li><a href="#listSystemsWithExtraPackages"/>listSystemsWithExtraPackages</a></li>
<li><a href="#listSystemsWithPackage"/>listSystemsWithPackage</a></li>
<li><a href="#listSystemsWithPackage"/>listSystemsWithPackage</a></li>
<li><a href="#listUngroupedSystems"/>listUngroupedSystems</a></li>
<li><a href="#listUserSystems"/>listUserSystems</a></li>
<li><a href="#listUserSystems"/>listUserSystems</a></li>
<li><a href="#listVirtualGuests"/>listVirtualGuests</a></li>
<li><a href="#listVirtualHosts"/>listVirtualHosts</a></li>
<li><a href="#obtainReactivationKey"/>obtainReactivationKey</a></li>
<li><a href="#obtainReactivationKey"/>obtainReactivationKey</a></li>
<li><a href="#provisionSystem"/>provisionSystem</a></li>
<li><a href="#provisionSystem"/>provisionSystem</a></li>
<li><a href="#provisionVirtualGuest"/>provisionVirtualGuest</a></li>
<li><a href="#provisionVirtualGuest"/>provisionVirtualGuest</a></li>
<li><a href="#provisionVirtualGuest"/>provisionVirtualGuest</a></li>
<li><a href="#refreshPillar"/>refreshPillar</a></li>
<li><a href="#refreshPillar"/>refreshPillar</a></li>
<li><a href="#removeEntitlements"/>removeEntitlements</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyErrata"/>scheduleApplyErrata</a></li>
<li><a href="#scheduleApplyHighstate"/>scheduleApplyHighstate</a></li>
<li><a href="#scheduleApplyHighstate"/>scheduleApplyHighstate</a></li>
<li><a href="#scheduleApplyStates"/>scheduleApplyStates</a></li>
<li><a href="#scheduleApplyStates"/>scheduleApplyStates</a></li>
<li><a href="#scheduleCertificateUpdate"/>scheduleCertificateUpdate</a></li>
<li><a href="#scheduleCertificateUpdate"/>scheduleCertificateUpdate</a></li>
<li><a href="#scheduleChangeChannels"/>scheduleChangeChannels</a></li>
<li><a href="#scheduleChangeChannels"/>scheduleChangeChannels</a></li>
<li><a href="#scheduleDistUpgrade"/>scheduleDistUpgrade</a></li>
<li><a href="#scheduleDistUpgrade"/>scheduleDistUpgrade</a></li>
<li><a href="#scheduleGuestAction"/>scheduleGuestAction</a></li>
<li><a href="#scheduleGuestAction"/>scheduleGuestAction</a></li>
<li><a href="#scheduleHardwareRefresh"/>scheduleHardwareRefresh</a></li>
<li><a href="#schedulePackageInstall"/>schedulePackageInstall</a></li>
<li><a href="#schedulePackageInstall"/>schedulePackageInstall</a></li>
<li><a href="#schedulePackageInstall"/>schedulePackageInstall</a></li>
<li><a href="#schedulePackageInstall"/>schedulePackageInstall</a></li>
<li><a href="#schedulePackageInstallByNevra"/>schedulePackageInstallByNevra</a></li>
<li><a href="#schedulePackageInstallByNevra"/>schedulePackageInstallByNevra</a></li>
<li><a href="#schedulePackageInstallByNevra"/>schedulePackageInstallByNevra</a></li>
<li><a href="#schedulePackageInstallByNevra"/>schedulePackageInstallByNevra</a></li>
<li><a href="#schedulePackageLockChange"/>schedulePackageLockChange</a></li>
<li><a href="#schedulePackageRefresh"/>schedulePackageRefresh</a></li>
<li><a href="#schedulePackageRemove"/>schedulePackageRemove</a></li>
<li><a href="#schedulePackageRemove"/>schedulePackageRemove</a></li>
<li><a href="#schedulePackageRemove"/>schedulePackageRemove</a></li>
<li><a href="#schedulePackageRemove"/>schedulePackageRemove</a></li>
<li><a href="#schedulePackageRemoveByNevra"/>schedulePackageRemoveByNevra</a></li>
<li><a href="#schedulePackageRemoveByNevra"/>schedulePackageRemoveByNevra</a></li>
<li><a href="#schedulePackageRemoveByNevra"/>schedulePackageRemoveByNevra</a></li>
<li><a href="#schedulePackageRemoveByNevra"/>schedulePackageRemoveByNevra</a></li>
<li><a href="#schedulePackageUpdate"/>schedulePackageUpdate</a></li>
<li><a href="#scheduleProductMigration"/>scheduleProductMigration</a></li>
<li><a href="#scheduleProductMigration"/>scheduleProductMigration</a></li>
<li><a href="#scheduleProductMigration"/>scheduleProductMigration</a></li>
<li><a href="#scheduleProductMigration"/>scheduleProductMigration</a></li>
<li><a href="#scheduleProductMigration"/>scheduleProductMigration</a></li>
<li><a href="#scheduleReboot"/>scheduleReboot</a></li>
<li><a href="#scheduleSPMigration"/>scheduleSPMigration</a></li>
<li><a href="#scheduleSPMigration"/>scheduleSPMigration</a></li>
<li><a href="#scheduleSPMigration"/>scheduleSPMigration</a></li>
<li><a href="#scheduleSPMigration"/>scheduleSPMigration</a></li>
<li><a href="#scheduleScriptRun"/>scheduleScriptRun</a></li>
<li><a href="#scheduleScriptRun"/>scheduleScriptRun</a></li>
<li><a href="#scheduleScriptRun"/>scheduleScriptRun</a></li>
<li><a href="#scheduleScriptRun"/>scheduleScriptRun</a></li>
<li><a href="#scheduleSyncPackagesWithSystem"/>scheduleSyncPackagesWithSystem</a></li>
<li><a href="#searchByName"/>searchByName</a></li>
<li><a href="#sendOsaPing"/>sendOsaPing</a></li>
<li><a href="#setBaseChannel"/>setBaseChannel</a></li>
<li><a href="#setBaseChannel"/>setBaseChannel</a></li>
<li><a href="#setChildChannels"/>setChildChannels</a></li>
<li><a href="#setCustomValues"/>setCustomValues</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
<li><a href="#setGroupMembership"/>setGroupMembership</a></li>
<li><a href="#setGuestCpus"/>setGuestCpus</a></li>
<li><a href="#setGuestMemory"/>setGuestMemory</a></li>
<li><a href="#setLockStatus"/>setLockStatus</a></li>
<li><a href="#setPillar"/>setPillar</a></li>
<li><a href="#setPillar"/>setPillar</a></li>
<li><a href="#setPrimaryFqdn"/>setPrimaryFqdn</a></li>
<li><a href="#setPrimaryInterface"/>setPrimaryInterface</a></li>
<li><a href="#setProfileName"/>setProfileName</a></li>
<li><a href="#setVariables"/>setVariables</a></li>
<li><a href="#tagLatestSnapshot"/>tagLatestSnapshot</a></li>
<li><a href="#unentitle"/>unentitle</a></li>
<li><a href="#updatePackageState"/>updatePackageState</a></li>
<li><a href="#upgradeEntitlement"/>upgradeEntitlement</a></li>
<li><a href="#whoRegistered"/>whoRegistered</a></li>
</ul>
</div>
<hr />

<h3> <a name="addEntitlements" href="#addEntitlements">Method: addEntitlements</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add entitlements to a server. Entitlements a server already has
 are quietly ignored.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> entitlements
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addNote" href="#addNote">Method: addNote</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a new note to the given server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> subject - What the note is about.
 </li>
<li>

    <em>string</em> body - Content of the note.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrap" href="#bootstrap">Method: bootstrap</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPassword - SSH password of given user
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrap" href="#bootstrap">Method: bootstrap</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPassword - SSH password of given user
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>int</em> proxyId - System ID of proxy to use
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrap" href="#bootstrap">Method: bootstrap</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPassword - SSH password of given user
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>string</em> reactivationKey - Reactivation key
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrap" href="#bootstrap">Method: bootstrap</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPassword - SSH password of given user
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>string</em> reactivationKey - Reactivation key
 </li>
<li>

    <em>int</em> proxyId - System ID of proxy to use
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrapWithPrivateSshKey" href="#bootstrapWithPrivateSshKey">Method: bootstrapWithPrivateSshKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.
 Use SSH private key for authentication.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPrivKey - SSH private key as a string in PEM format
 </li>
<li>

    <em>string</em> sshPrivKeyPass - SSH passphrase for the key (use empty string for no passphrase)
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrapWithPrivateSshKey" href="#bootstrapWithPrivateSshKey">Method: bootstrapWithPrivateSshKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.
 Use SSH private key for authentication.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPrivKey - SSH private key as a string in PEM format
 </li>
<li>

    <em>string</em> sshPrivKeyPass - SSH passphrase for the key (use empty string for no passphrase)
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>int</em> proxyId - System ID of proxy to use
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrapWithPrivateSshKey" href="#bootstrapWithPrivateSshKey">Method: bootstrapWithPrivateSshKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.
 Use SSH private key for authentication.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPrivKey - SSH private key as a string in PEM format
 </li>
<li>

    <em>string</em> sshPrivKeyPass - SSH passphrase for the key (use empty string for no passphrase)
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>string</em> reactivationKey - Reactivation key
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="bootstrapWithPrivateSshKey" href="#bootstrapWithPrivateSshKey">Method: bootstrapWithPrivateSshKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Bootstrap a system for management via either Salt or Salt SSH.
 Use SSH private key for authentication.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> host - Hostname or IP address of target
 </li>
<li>

    <em>int</em> sshPort - SSH port on target machine
 </li>
<li>

    <em>string</em> sshUser - SSH user on target machine
 </li>
<li>

    <em>string</em> sshPrivKey - SSH private key as a string in PEM format
 </li>
<li>

    <em>string</em> sshPrivKeyPass - SSH passphrase for the key (use empty string for no passphrase)
 </li>
<li>

    <em>string</em> activationKey - Activation key
 </li>
<li>

    <em>string</em> reactivationKey - Reactivation key
 </li>
<li>

    <em>int</em> proxyId - System ID of proxy to use
 </li>
<li>

    <em>boolean</em> saltSSH - Manage system with Salt SSH
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="changeProxy" href="#changeProxy">Method: changeProxy</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Connect given systems to another proxy.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>int</em> proxyId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionIds
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="comparePackageProfile" href="#comparePackageProfile">Method: comparePackageProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Compare a system's packages against a package profile.  In
 the result returned, 'this_system' represents the server provided as an input
 and 'other_system' represents the profile provided as an input.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> profileLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> package metadata
	<ul>
	<li><em>int</em> "package_name_id"</li>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>
    <li><em>string</em> "this_system" - version of package on this system</li>
    <li><em>string</em> "other_system" - version of package on the other system</li>
	<li><em>int</em> "comparison"</li>
	<ul>
	<li>0 - no difference</li>
	<li>1 - package on this system only</li>
	<li>2 - newer package version on this system</li>
	<li>3 - package on other system only</li>
	<li>4 - newer package version on other system</li>
	</ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="comparePackages" href="#comparePackages">Method: comparePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Compares the packages installed on two systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid1
 </li>
<li>

    <em>int</em> sid2
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> package metadata
	<ul>
	<li><em>int</em> "package_name_id"</li>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>
    <li><em>string</em> "this_system" - version of package on this system</li>
    <li><em>string</em> "other_system" - version of package on the other system</li>
	<li><em>int</em> "comparison"</li>
	<ul>
	<li>0 - no difference</li>
	<li>1 - package on this system only</li>
	<li>2 - newer package version on this system</li>
	<li>3 - package on other system only</li>
	<li>4 - newer package version on other system</li>
	</ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createPackageProfile" href="#createPackageProfile">Method: createPackageProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new stored Package Profile from a systems
      installed package list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> profileLabel
 </li>
<li>

    <em>string</em> description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createSystemProfile" href="#createSystemProfile">Method: createSystemProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a system record in database for a system that is not registered.
 Either "hwAddress" or "hostname" prop must be specified in the "data" struct.
 If a system(s) matching given data exists, a SystemsExistFaultException is thrown which
 contains matching system IDs in its message.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemName - System name
 </li>
<li>

	     <em>struct</em> data
	<ul>
    <li><em>string</em> "hwAddress" - The HW address of the network interface (MAC)</li>
    <li><em>string</em> "hostname" - The hostname of the profile</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> systemId - The id of the created system
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createSystemRecord" href="#createSystemRecord">Method: createSystemRecord</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a cobbler system record with the specified kickstart label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> ksLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createSystemRecord" href="#createSystemRecord">Method: createSystemRecord</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a cobbler system record for a system that is not registered.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> systemName
 </li>
<li>

    <em>string</em> ksLabel
 </li>
<li>

    <em>string</em> kOptions
 </li>
<li>

    <em>string</em> comment
 </li>
<li>

<em>array</em> netDevices
  <ul>
   <li>
	     <em>struct</em> network device
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "mac"</li>
	<li><em>string</em> "ip"</li>
	<li><em>string</em> "dnsname"</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteCustomValues" href="#deleteCustomValues">Method: deleteCustomValues</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete the custom values defined for the custom system information keys
 provided from the given system.
 (Note: Attempt to delete values of non-existing keys throws exception. Attempt to
 delete value of existing key which has assigned no values doesn't throw exception.)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> keys
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteGuestProfiles" href="#deleteGuestProfiles">Method: deleteGuestProfiles</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete the specified list of guest profiles for a given host


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> hostId
 </li>
<li>

<em>array(string)</em> guestNames
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteNote" href="#deleteNote">Method: deleteNote</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes the given note from the server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> noteId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteNotes" href="#deleteNotes">Method: deleteNotes</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes all notes from the server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deletePackageProfile" href="#deletePackageProfile">Method: deletePackageProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a package profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> profileId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteSystem" href="#deleteSystem">Method: deleteSystem</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a system given its client certificate.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientCert - client certificate of the system
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
Available since API version: 10.10 <p />
<hr />

<h3> <a name="deleteSystem" href="#deleteSystem">Method: deleteSystem</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a system given its server id synchronously without cleanup


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteSystem" href="#deleteSystem">Method: deleteSystem</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a system given its server id synchronously


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> cleanupType - Possible values:
  'FAIL_ON_CLEANUP_ERR' - fail in case of cleanup error,
  'NO_CLEANUP' - do not cleanup, just delete,
  'FORCE_DELETE' - Try cleanup first but delete server anyway in case of error
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteSystems" href="#deleteSystems">Method: deleteSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete systems given a list of system ids asynchronously.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteSystems" href="#deleteSystems">Method: deleteSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete systems given a list of system ids asynchronously.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>string</em> cleanupType - Possible values:
  'FAIL_ON_CLEANUP_ERR' - fail in case of cleanup error,
  'NO_CLEANUP' - do not cleanup, just delete,
  'FORCE_DELETE' - Try cleanup first but delete server anyway in case of error
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteTagFromSnapshot" href="#deleteTagFromSnapshot">Method: deleteTagFromSnapshot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes tag from system snapshot


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> tagName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="downloadSystemId" href="#downloadSystemId">Method: downloadSystemId</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Get the system ID file for a given server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> id
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getConnectionPath" href="#getConnectionPath">Method: getConnectionPath</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the list of proxies that the given system connects
 through in order to reach the server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> proxy connection path details
	<ul>
    <li><em>int</em> "position" - position of proxy in chain. The proxy that the
             system connects directly to is listed in position 1.</li>
    <li><em>int</em> "id" - proxy system ID</li>
    <li><em>string</em> "hostname" - proxy host name</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCpu" href="#getCpu">Method: getCpu</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets the CPU information of a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> CPU
	<ul>
	<li><em>string</em> "cache"</li>
	<li><em>string</em> "family"</li>
	<li><em>string</em> "mhz"</li>
	<li><em>string</em> "flags"</li>
	<li><em>string</em> "model"</li>
	<li><em>string</em> "vendor"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "stepping"</li>
	<li><em>string</em> "count"</li>
	<li><em>int</em> "socket_count (if available)"</li>
	<li><em>int</em> "core_count (if available) number of cores per socket"</li>
	<li><em>int</em> "thread_count (if available) number of threads per core"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCustomValues" href="#getCustomValues">Method: getCustomValues</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the custom data values defined for the server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> custom value
	<ul>
	<li><em>string</em> "custom info label"</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#getDetails">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get system details.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> server details
	<ul>
    <li><em>int</em> "id" - system ID</li>
	<li><em>string</em> "profile_name"</li>
	<li><em>string</em> "machine_id"</li>
    <li><em>boolean</em> "payg" - Whether the server instance is payg or not</li>
	<li><em>string</em> "minion_id"</li>
    <li><em>string</em> "base_entitlement" - system's base entitlement label</li>

    <li><em>array(string)</em> "addon_entitlements" - system's addon entitlements labels,
                       currently only 'virtualization_host'
    </li>
    <li><em>boolean</em> "auto_update" - true if system has auto errata updates
                                          enabled</li>
    <li><em>string</em> "release" - the operating system release (i.e. 4AS,
                      5Server)</li>
	<li><em>string</em> "address1"</li>
	<li><em>string</em> "address2"</li>
	<li><em>string</em> "city"</li>
	<li><em>string</em> "state"</li>
	<li><em>string</em> "country"</li>
	<li><em>string</em> "building"</li>
	<li><em>string</em> "room"</li>
	<li><em>string</em> "rack"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "hostname"</li>
	<li><em>dateTime.iso8601</em> "last_boot"</li>
    <li><em>string</em> "osa_status" - either 'unknown', 'offline', or 'online'</li>
    <li><em>boolean</em> "lock_status" - True indicates that the system is locked.
           False indicates that the system is unlocked.</li>
    <li><em>string</em> "virtualization" - virtualization type -
           for virtual guests only (optional)</li>
    <li><em>string</em> "contact_method" - one of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDevices" href="#getDevices">Method: getDevices</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets a list of devices for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> device
	<ul>
    <li><em>string</em> "device" - optional</li>
    <li><em>string</em> "device_class" - Includes CDROM, FIREWIRE, HD, USB, VIDEO,
                  OTHER, etc.</li>
	<li><em>string</em> "driver"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "bus"</li>
	<li><em>string</em> "pcitype"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDmi" href="#getDmi">Method: getDmi</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets the DMI information of a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> DMI
	<ul>
	<li><em>string</em> "vendor"</li>
	<li><em>string</em> "system"</li>
	<li><em>string</em> "product"</li>
	<li><em>string</em> "asset"</li>
	<li><em>string</em> "board"</li>
    <li><em>string</em> "bios_release" - (optional)</li>
    <li><em>string</em> "bios_vendor" - (optional)</li>
    <li><em>string</em> "bios_version" - (optional)</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getEntitlements" href="#getEntitlements">Method: getEntitlements</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets the entitlements for a given server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> entitlement_label
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getEventDetails" href="#getEventDetails">Method: getEventDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the details of the event associated with the specified server and event.
             The event id must be a value returned by the system.getEventHistory API.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> eid - ID of the event
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
           

	     <em>struct</em> system event
	<ul>
    <li><em>int</em> "id" - ID of the event</li>
    <li><em>string</em> "history_type" - type of history event</li>
    <li><em>string</em> "status" - status of the event</li>
    <li><em>string</em> "summary" - summary of the event</li>

    <li><em>dateTime.iso8601</em> "created" - date that the event was created</li>
    <li><em>dateTime.iso8601</em> "picked_up" - date that the event was picked up</li>
    <li><em>dateTime.iso8601</em> "completed" - date that the event occurred</li>

    <li><em>dateTime.iso8601</em> "earliest_action" - earliest date this action could occur</li>
    <li><em>string</em> "result_msg" - the result string of the action executed on the client machine (optional)</li>
    <li><em>int</em> "result_code" - the result code of the action executed on the client machine (optional)</li>
    <li><em>array</em> "additional_info" - additional information for the event, if available
        <ul>
            <li>
	     <em>struct</em> info
	<ul>
    <li><em>string</em> "detail" - The detail provided depends on the
                  specific event.  For example, for a package event, this will be the
                  package name, for an errata event, this will be the advisory name
                  and synopsis, for a config file event, this will be path and
                  optional revision information...etc.</li>
    <li><em>string</em> "result" - The result (if included) depends
                  on the specific event.  For example, for a package or errata event,
                  no result is included, for a config file event, the result might
                  include an error (if one occurred, such as the file was missing)
                  or in the case of a config file comparison it might include the
                  differences found.</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="getEventHistory" href="#getEventHistory">Method: getEventHistory</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list history items associated with the system, ordered
             from newest to oldest. Note that the details may be empty for
             events that were scheduled against the system (as compared to instant).
             For more information on such events, see the system.listSystemEvents
             operation.
             Note: This version of the method is deprecated and the return value will be changed in a
             future API version. Please one of the other overloaded versions of getEventHistory.

<p/>
Deprecated - This version of the method is deprecated and the return value will be changed
 in a future API version. Please one of the other overloaded versions of getEventHistory.
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
           

	     <em>struct</em> history event
	<ul>
    <li><em>dateTime.iso8601</em> "completed" - date that
          the event occurred (optional)</li>
    <li><em>string</em> "summary" - summary of the event</li>
    <li><em>string</em> "details" - details of the event</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getEventHistory" href="#getEventHistory">Method: getEventHistory</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of history items associated with the system happened after the specified date.
             The list is paged and ordered from newest to oldest.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestDate
 </li>
<li>

    <em>int</em> offset - Number of results to skip
 </li>
<li>

    <em>int</em> limit - Maximum number of results
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
           

	     <em>struct</em> system event
	<ul>
    <li><em>int</em> "id" - ID of the event</li>
    <li><em>string</em> "history_type" - type of history event</li>
    <li><em>string</em> "status" - status of the event</li>
    <li><em>string</em> "summary" - summary of the event</li>
    <li><em>dateTime.iso8601</em> "completed" - date that the event occurred</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getEventHistory" href="#getEventHistory">Method: getEventHistory</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of history items associated with the system.
             The list is paged and ordered from newest to oldest.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> offset - Number of results to skip
 </li>
<li>

    <em>int</em> limit - Maximum number of results
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
           

	     <em>struct</em> system event
	<ul>
    <li><em>int</em> "id" - ID of the event</li>
    <li><em>string</em> "history_type" - type of history event</li>
    <li><em>string</em> "status" - status of the event</li>
    <li><em>string</em> "summary" - summary of the event</li>
    <li><em>dateTime.iso8601</em> "completed" - date that the event occurred</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getEventHistory" href="#getEventHistory">Method: getEventHistory</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of history items associated with the system happened after the specified date.
             The list is ordered from newest to oldest.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
           

	     <em>struct</em> system event
	<ul>
    <li><em>int</em> "id" - ID of the event</li>
    <li><em>string</em> "history_type" - type of history event</li>
    <li><em>string</em> "status" - status of the event</li>
    <li><em>string</em> "summary" - summary of the event</li>
    <li><em>dateTime.iso8601</em> "completed" - date that the event occurred</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getId" href="#getId">Method: getId</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get system IDs and last check in information for the given system name.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getInstalledProducts" href="#getInstalledProducts">Method: getInstalledProducts</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get a list of installed products for given system


<h4>Parameters</h4>
<ul>
<li>

    <em>User</em> loggedInUser
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> installed product
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>boolean</em> "isBaseProduct"</li>
    <li><em>string</em> "version" - returned only if applies</li>
    <li><em>string</em> "arch" - returned only if applies</li>
    <li><em>string</em> "release" - returned only if applies</li>
    <li><em>string</em> "friendlyName" - returned only if available</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getKernelLivePatch" href="#getKernelLivePatch">Method: getKernelLivePatch</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the currently active kernel live patching version relative to
 the running kernel version of the system, or empty string if live patching feature
 is not in use for the given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


string 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getMemory" href="#getMemory">Method: getMemory</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets the memory information for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> memory
	<ul>
    <li><em>int</em> "ram" - The amount of physical memory in MB.</li>
    <li><em>int</em> "swap" - The amount of swap space in MB.</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getMinionIdMap" href="#getMinionIdMap">Method: getMinionIdMap</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a map from Salt minion IDs to System IDs.
 Map entries are limited to systems that are visible by the current user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>map</em> id_map - minion IDs to system IDs
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getName" href="#getName">Method: getName</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get system name and last check in information for the given system ID.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> name info
	<ul>
    <li><em>int</em> "id" - Server id</li>
    <li><em>string</em> "name" - Server name</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - Last time server
              successfully checked in</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getNetwork" href="#getNetwork">Method: getNetwork</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the addresses and hostname for a given server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> network info
	<ul>
    <li><em>string</em> "ip" - IPv4 address of server</li>
    <li><em>string</em> "ip6" - IPv6 address of server</li>
    <li><em>string</em> "hostname" - Hostname of server</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getNetworkDevices" href="#getNetworkDevices">Method: getNetworkDevices</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the network devices for the given server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> network device
	<ul>
    <li><em>string</em> "ip" - IP address assigned to this network device</li>
    <li><em>string</em> "interface" - network interface assigned to device, e.g. eth0</li>
    <li><em>string</em> "netmask" - network mask assigned to device</li>
    <li><em>string</em> "hardware_address" - hardware address of device</li>
    <li><em>string</em> "module" - network driver used for this device</li>
    <li><em>string</em> "broadcast" - broadcast address for device</li>
    <li><em>array</em> "ipv6" - the list of IPv6 addresses
        <ul>
            <li>
	     <em>struct</em> ipv6 address
	<ul>
    <li><em>string</em> "address" - IPv6 address of this network device</li>
    <li><em>string</em> "netmask" - IPv6 netmask of this network device</li>
    <li><em>string</em> "scope" - IPv6 address scope</li>
	</ul>
           </li>
        </ul>
    </li>
    <li><em>array</em> "ipv4" - the list of IPv4 addresses
        <ul>
            <li>
	     <em>struct</em> ipv4 address
	<ul>
    <li><em>string</em> "address" - IPv4 address of this network device</li>
    <li><em>string</em> "netmask" - IPv4 netmask of this network device</li>
    <li><em>string</em> "broadcast" - IPv4 broadcast address of this network device</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getNetworkForSystems" href="#getNetworkForSystems">Method: getNetworkForSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the addresses and hostname for a given list of systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> network info
	<ul>
    <li><em>int</em> "system_id" - ID of the system</li>
    <li><em>string</em> "ip" - IPv4 address of system</li>
    <li><em>string</em> "ip6" - IPv6 address of system</li>
    <li><em>string</em> "hostname" - Hostname of system</li>
    <li><em>string</em> "primary_fqdn" - Primary FQDN of system</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getOsaPing" href="#getOsaPing">Method: getOsaPing</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
get details about a ping sent to a system using OSA


<h4>Parameters</h4>
<ul>
<li>

    <em>User</em> loggedInUser
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> osaPing
	<ul>
    <li><em>string</em> "state" - state of the system (unknown, online, offline)</li>
    <li><em>dateTime.iso8601</em> "lastMessageTime" - time of the last received response
          (1970/01/01 00:00:00 if never received a response)</li>
    <li><em>dateTime.iso8601</em> "lastPingTime" - time of the last sent ping
          (1970/01/01 00:00:00 if no ping is pending</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPillar" href="#getPillar">Method: getPillar</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get pillar data of given category for given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemId
 </li>
<li>

    <em>string</em> category
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>struct</em> the pillar data
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPillar" href="#getPillar">Method: getPillar</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get pillar data of given category for given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> minionId
 </li>
<li>

    <em>string</em> category
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>struct</em> the pillar data
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRegistrationDate" href="#getRegistrationDate">Method: getRegistrationDate</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the date the system was registered.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>dateTime.iso8601</em> date - The date the system was registered,
 in local time
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRelevantErrata" href="#getRelevantErrata">Method: getRelevantErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all errata that are relevant to the system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRelevantErrata" href="#getRelevantErrata">Method: getRelevantErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all errata that are relevant to a list of systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> server_errata
	<ul>
    <li><em>string</em> "system_id" - The ID of the system</li>
    <li><em>array</em> "errata" - An array of available errata infos
        <ul>
            <li>
                  

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRelevantErrataByType" href="#getRelevantErrataByType">Method: getRelevantErrataByType</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all errata of the specified type that are
 relevant to the system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> advisoryType - type of advisory (one of
 of the following: 'Security Advisory', 'Product Enhancement Advisory',
 'Bug Fix Advisory'
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRunningKernel" href="#getRunningKernel">Method: getRunningKernel</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the running kernel of the given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> kernel
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getScriptActionDetails" href="#getScriptActionDetails">Method: getScriptActionDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns script details for script run actions


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId - ID of the script run action.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> Script details
	<ul>
    <li><em>int</em> "id" - action id</li>
    <li><em>string</em> "content" - script content</li>
    <li><em>string</em> "run_as_user" - Run as user</li>
    <li><em>string</em> "run_as_group" - Run as group</li>
    <li><em>int</em> "timeout" - Timeout in seconds</li>
<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> script result
	<ul>
    <li><em>int</em> "serverId" - ID of the server the script runs on</li>
    <li><em>dateTime.iso8601</em> "startDate" - time script began execution</li>
    <li><em>dateTime.iso8601</em> "stopDate" - time script stopped execution</li>
    <li><em>int</em> "returnCode" - script execution return code</li>
    <li><em>string</em> "output" - output of the script (base64 encoded according
                to the output_enc64 attribute)</li>
    <li><em>boolean</em> "output_enc64" - identifies base64 encoded output</li>
	</ul>
 
</li></ul>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getScriptResults" href="#getScriptResults">Method: getScriptResults</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Fetch results from a script execution. Returns an empty array if no
 results are yet available.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId - ID of the script run action.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> script result
	<ul>
    <li><em>int</em> "serverId" - ID of the server the script runs on</li>
    <li><em>dateTime.iso8601</em> "startDate" - time script began execution</li>
    <li><em>dateTime.iso8601</em> "stopDate" - time script stopped execution</li>
    <li><em>int</em> "returnCode" - script execution return code</li>
    <li><em>string</em> "output" - output of the script (base64 encoded according
                to the output_enc64 attribute)</li>
    <li><em>boolean</em> "output_enc64" - identifies base64 encoded output</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSubscribedBaseChannel" href="#getSubscribedBaseChannel">Method: getSubscribedBaseChannel</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Provides the base channel of a given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSystemCurrencyMultipliers" href="#getSystemCurrencyMultipliers">Method: getSystemCurrencyMultipliers</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the System Currency score multipliers


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>map</em> multipliers - Map of score multipliers
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSystemCurrencyScores" href="#getSystemCurrencyScores">Method: getSystemCurrencyScores</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the System Currency scores for all servers the user has access to


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system currency
	<ul>
	<li><em>int</em> "sid"</li>
	<li><em>int</em> "critical security errata count"</li>
	<li><em>int</em> "important security errata count"</li>
	<li><em>int</em> "moderate security errata count"</li>
	<li><em>int</em> "low security errata count"</li>
	<li><em>int</em> "bug fix errata count"</li>
	<li><em>int</em> "enhancement errata count"</li>
	<li><em>int</em> "system currency score"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getUnscheduledErrata" href="#getUnscheduledErrata">Method: getUnscheduledErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Provides an array of errata that are applicable to a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getUuid" href="#getUuid">Method: getUuid</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the UUID from the given system ID.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> uuid
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getVariables" href="#getVariables">Method: getVariables</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists kickstart variables set  in the system record
  for the specified server.
  Note: This call assumes that a system record exists in cobbler for the
  given system and will raise an XMLRPC fault if that is not the case.
  To create a system record over xmlrpc use system.createSystemRecord

  To create a system record in the Web UI  please go to
  System -&gt; &lt;Specified System&gt; -&gt; Provisioning -&gt;
  Select a Kickstart profile -&gt; Create Cobbler System Record.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> System kickstart variables
	<ul>
    <li><em>boolean</em> "netboot" - netboot enabled</li>
    <li><em>array</em> "kickstart variables"
        <ul>
            <li>
	     <em>struct</em> kickstart variable
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string or int</em> "value"</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isNvreInstalled" href="#isNvreInstalled">Method: isNvreInstalled</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Check if the package with the given NVRE is installed on given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> name - Package name.
 </li>
<li>

    <em>string</em> version - Package version.
 </li>
<li>

    <em>string</em> release - Package release.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if package exists, 0 if not, exception is thrown
 if an error occurs
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isNvreInstalled" href="#isNvreInstalled">Method: isNvreInstalled</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Is the package with the given NVRE installed on given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> name - Package name.
 </li>
<li>

    <em>string</em> version - Package version.
 </li>
<li>

    <em>string</em> release - Package release.
 </li>
<li>

    <em>string</em> epoch - Package epoch.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if package exists, 0 if not, exception is thrown
 if an error occurs
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listActivationKeys" href="#listActivationKeys">Method: listActivationKeys</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the activation keys the system was registered with.  An empty
 list will be returned if an activation key was not used during registration.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> key
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listActiveSystems" href="#listActiveSystems">Method: listActiveSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of active servers visible to the user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listActiveSystemsDetails" href="#listActiveSystemsDetails">Method: listActiveSystemsDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Given a list of server ids, returns a list of active servers'
 details visible to the user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> server details
	<ul>
    <li><em>int</em> "id" - The server's id</li>
    <li><em>string</em> "name" - The server's name</li>
    <li><em>boolean</em> "payg" - Whether the server instance is payg or not</li>
    <li><em>string</em> "minion_id" - The server's minion id, in case it is a salt minion client</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - Last time server successfully checked in (in UTC)</li>
    <li><em>int</em> "ram" - The amount of physical memory in MB.</li>
    <li><em>int</em> "swap" - The amount of swap space in MB.</li>
    <li><em>struct</em> "network_devices" - The server's network devices</li>
       

	     <em>struct</em> network device
	<ul>
    <li><em>string</em> "ip" - IP address assigned to this network device</li>
    <li><em>string</em> "interface" - network interface assigned to device, e.g. eth0</li>
    <li><em>string</em> "netmask" - network mask assigned to device</li>
    <li><em>string</em> "hardware_address" - hardware address of device</li>
    <li><em>string</em> "module" - network driver used for this device</li>
    <li><em>string</em> "broadcast" - broadcast address for device</li>
    <li><em>array</em> "ipv6" - the list of IPv6 addresses
        <ul>
            <li>
	     <em>struct</em> ipv6 address
	<ul>
    <li><em>string</em> "address" - IPv6 address of this network device</li>
    <li><em>string</em> "netmask" - IPv6 netmask of this network device</li>
    <li><em>string</em> "scope" - IPv6 address scope</li>
	</ul>
           </li>
        </ul>
    </li>
    <li><em>array</em> "ipv4" - the list of IPv4 addresses
        <ul>
            <li>
	     <em>struct</em> ipv4 address
	<ul>
    <li><em>string</em> "address" - IPv4 address of this network device</li>
    <li><em>string</em> "netmask" - IPv4 netmask of this network device</li>
    <li><em>string</em> "broadcast" - IPv4 broadcast address of this network device</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
    <li><em>struct</em> "dmi_info" - The server's dmi info</li>
       

	     <em>struct</em> DMI
	<ul>
	<li><em>string</em> "vendor"</li>
	<li><em>string</em> "system"</li>
	<li><em>string</em> "product"</li>
	<li><em>string</em> "asset"</li>
	<li><em>string</em> "board"</li>
    <li><em>string</em> "bios_release" - (optional)</li>
    <li><em>string</em> "bios_vendor" - (optional)</li>
    <li><em>string</em> "bios_version" - (optional)</li>
	</ul>
 
    <li><em>struct</em> "cpu_info" - The server's cpu info</li>
       

	     <em>struct</em> CPU
	<ul>
	<li><em>string</em> "cache"</li>
	<li><em>string</em> "family"</li>
	<li><em>string</em> "mhz"</li>
	<li><em>string</em> "flags"</li>
	<li><em>string</em> "model"</li>
	<li><em>string</em> "vendor"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "stepping"</li>
	<li><em>string</em> "count"</li>
	<li><em>int</em> "socket_count (if available)"</li>
	<li><em>int</em> "core_count (if available) number of cores per socket"</li>
	<li><em>int</em> "thread_count (if available) number of threads per core"</li>
	</ul>
 
    <li><em>array</em> "subscribed_channels" - List of subscribed channels</li>
<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel
	<ul>
    <li><em>int</em> "channel_id" - The channel id.</li>
    <li><em>string</em> "channel_label" - The channel label.</li>
	</ul>
</li></ul>
    <li><em>array</em> "active_guest_system_ids" - List of virtual guest system ids for active guests</li>
<em>array</em>
  <ul>
   <li>
    <li><em>int</em> "guest_id" - The guest's system id.</li>
</li></ul>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAdministrators" href="#listAdministrators">Method: listAdministrators</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of users which can administer the system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> user
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "login"</li>
    <li><em>string</em> "login_uc" - upper case version of the login</li>
    <li><em>boolean</em> "enabled" - true if user is enabled,
                         false if the user is disabled</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllInstallablePackages" href="#listAllInstallablePackages">Method: listAllInstallablePackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the list of all installable packages for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listDuplicatesByHostname" href="#listDuplicatesByHostname">Method: listDuplicatesByHostname</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List duplicate systems by Hostname.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> Duplicate Group
	<ul>
	<li><em>string</em> "hostname"</li>
    <li><em>array</em> "systems"
        <ul>
            <li>
                      

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "systemId"</li>
	<li><em>string</em> "systemName"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time the server successfully checked in</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listDuplicatesByIp" href="#listDuplicatesByIp">Method: listDuplicatesByIp</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List duplicate systems by IP Address.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> Duplicate Group
	<ul>
	<li><em>string</em> "ip"</li>
    <li><em>array</em> "systems"
        <ul>
            <li>
                      

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "systemId"</li>
	<li><em>string</em> "systemName"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time the server successfully checked in</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listDuplicatesByMac" href="#listDuplicatesByMac">Method: listDuplicatesByMac</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List duplicate systems by Mac Address.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> Duplicate Group
	<ul>
	<li><em>string</em> "mac"</li>
    <li><em>array</em> "systems"
        <ul>
            <li>
                      

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "systemId"</li>
	<li><em>string</em> "systemName"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time the server successfully checked in</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listEmptySystemProfiles" href="#listEmptySystemProfiles">Method: listEmptySystemProfiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of empty system profiles visible to user (created by the createSystemProfile method).


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "created" - Server creation time</li>
    <li><em>array(string)</em> "hw_address" - HW address
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listExtraPackages" href="#listExtraPackages">Method: listExtraPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List extra packages for a system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
    <li><em>string</em> "epoch" - returned only if non-zero</li>
	<li><em>string</em> "arch"</li>
    <li><em>date</em> "installtime" - returned only if known</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFqdns" href="#listFqdns">Method: listFqdns</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Provides a list of FQDNs associated with a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> fqdn
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listGroups" href="#listGroups">Method: listGroups</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the available groups for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system group
	<ul>
    <li><em>int</em> "id" - server group id</li>
    <li><em>int</em> "subscribed" - 1 if the given server is subscribed
               to this server group, 0 otherwise</li>
    <li><em>string</em> "system_group_name" - Name of the server group</li>
    <li><em>string</em> "sgid" - server group id (Deprecated)</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInactiveSystems" href="#listInactiveSystems">Method: listInactiveSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists systems that have been inactive for the default period of
          inactivity


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInactiveSystems" href="#listInactiveSystems">Method: listInactiveSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists systems that have been inactive for the specified
      number of days..


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> days
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInstalledPackages" href="#listInstalledPackages">Method: listInstalledPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the installed packages for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
    <li><em>int</em> "package_id" - PackageID, -1 if package is installed but not available in
                 subscribed channels</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
    <li><em>string</em> "arch" - architecture label</li>
    <li><em>date</em> "installtime" - returned only if known</li>
	<li><em>boolean</em> "retracted"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listLatestAvailablePackage" href="#listLatestAvailablePackage">Method: listLatestAvailablePackage</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the latest available version of a package for each system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>string</em> packageName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system
	<ul>
    <li><em>int</em> "id" - server ID</li>
    <li><em>string</em> "name" - server name</li>
    <li><em>struct</em> "package" - package structure</li>
	     <em>struct</em> package
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "arch"</li>
	</ul>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listLatestInstallablePackages" href="#listLatestInstallablePackages">Method: listLatestInstallablePackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the list of latest installable packages for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listLatestUpgradablePackages" href="#listLatestUpgradablePackages">Method: listLatestUpgradablePackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the list of latest upgradable packages for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "from_version"</li>
	<li><em>string</em> "from_release"</li>
	<li><em>string</em> "from_epoch"</li>
	<li><em>string</em> "to_version"</li>
	<li><em>string</em> "to_release"</li>
	<li><em>string</em> "to_epoch"</li>
	<li><em>string</em> "to_package_id"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listMigrationTargets" href="#listMigrationTargets">Method: listMigrationTargets</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List possible migration targets for a system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> migrationtarget
	<ul>
	<li><em>string</em> "ident"</li>
	<li><em>string</em> "friendly"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listMigrationTargets" href="#listMigrationTargets">Method: listMigrationTargets</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List possible migration targets for a system, if excludeTargetWhereMissingSuccessors is false then
 valid targets without some successors will also be listed.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>boolean</em> excludeTargetWhereMissingSuccessors
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> migrationtarget
	<ul>
	<li><em>string</em> "ident"</li>
	<li><em>string</em> "friendly"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listNewerInstalledPackages" href="#listNewerInstalledPackages">Method: listNewerInstalledPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Given a package name, version, release, and epoch, returns the
 list of packages installed on the system w/ the same name that are newer.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> name - Package name.
 </li>
<li>

    <em>string</em> version - Package version.
 </li>
<li>

    <em>string</em> release - Package release.
 </li>
<li>

    <em>string</em> epoch - Package epoch.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listNotes" href="#listNotes">Method: listNotes</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Provides a list of notes associated with a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> note details
	<ul>
	<li><em>int</em> "id"</li>
    <li><em>string</em> "subject" - subject of the note</li>
    <li><em>string</em> "note" - contents of the note</li>
    <li><em>int</em> "system_id" - the ID of the system associated with the note</li>
    <li><em>string</em> "creator" - creator of the note if exists (optional)</li>
    <li><em>date</em> "updated" - date of the last note update</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listOlderInstalledPackages" href="#listOlderInstalledPackages">Method: listOlderInstalledPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Given a package name, version, release, and epoch, returns
 the list of packages installed on the system with the same name that are
 older.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> name - Package name.
 </li>
<li>

    <em>string</em> version - Package version.
 </li>
<li>

    <em>string</em> release - Package release.
 </li>
<li>

    <em>string</em> epoch - Package epoch.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listOutOfDateSystems" href="#listOutOfDateSystems">Method: listOutOfDateSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns list of systems needing package updates.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackageProfiles" href="#listPackageProfiles">Method: listPackageProfiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the package profiles in this organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package profile
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "channel"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackageState" href="#listPackageState">Method: listPackageState</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List possible migration targets for a system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
           

	     <em>struct</em> package state
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "state_revision_id" - state revision ID</li>
    <li><em>string</em> "package_state_type_id" - 'INSTALLED' or 'REMOVED'</li>
    <li><em>string</em> "version_constraint_id" - 'LATEST' or 'ANY'</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="listPackages" href="#listPackages">Method: listPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the installed packages for a given system. Usage of listInstalledPackages is preferred,
 as it returns architecture label (not name).

<p/>
Deprecated - This is here for backwards compatibility: The method returns architecture name,
 whereas the other endpoints return/accept architecture label.
 Instead of this method, use listInstalledPackages preferably.
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
    <li><em>string</em> "arch" - Architecture name</li>
    <li><em>date</em> "installtime" - returned only if known</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackagesFromChannel" href="#listPackagesFromChannel">Method: listPackagesFromChannel</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Provides a list of packages installed on a system that are also
          contained in the given channel.  The installed package list did not
          include arch information before RHEL 5, so it is arch unaware.  RHEL 5
          systems do upload the arch information, and thus are arch aware.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> channelLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
    <li><em>string</em> "path" - the path on that file system that the package
             resides</li>
    <li><em>boolean</em> "part_of_retracted_patch" - true if the package is a part of a retracted patch</li>
    <li><em>string</em> "provider" - the provider of the package, determined by
              the gpg key it was signed with.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackagesLockStatus" href="#listPackagesLockStatus">Method: listPackagesLockStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List current package locks status.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
    <li><em>int</em> "package_id" - PackageID, -1 if package is locked but not available in
                 subscribed channels</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
    <li><em>string</em> "arch" - architecture label</li>
    <li><em>string</em> "pending status" - return only if there is a pending locking</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPhysicalSystems" href="#listPhysicalSystems">Method: listPhysicalSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all Physical servers visible to the user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSubscribableBaseChannels" href="#listSubscribableBaseChannels">Method: listSubscribableBaseChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of subscribable base channels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel
	<ul>
    <li><em>int</em> "id" - Base Channel ID.</li>
    <li><em>string</em> "name" - Name of channel.</li>
    <li><em>string</em> "label" - Label of Channel</li>
    <li><em>int</em> "current_base" - 1 indicates it is the current base
                                      channel</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSubscribableChildChannels" href="#listSubscribableChildChannels">Method: listSubscribableChildChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of subscribable child channels.  This only shows channels
 the system is *not* currently subscribed to.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> child channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "has_license"</li>
	<li><em>string</em> "gpg_key_url"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSubscribedChildChannels" href="#listSubscribedChildChannels">Method: listSubscribedChildChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of subscribed child channels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSuggestedReboot" href="#listSuggestedReboot">Method: listSuggestedReboot</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List systems that require reboot.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemEvents" href="#listSystemEvents">Method: listSystemEvents</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List system actions of the specified type that were *scheduled* against the given server after the
 specified date. "actionType" should be exactly the string returned in the action_type field
 from the listSystemEvents(sessionKey, serverId) method. For example,
 'Package Install' or 'Initiate a kickstart for a virtual guest.'
 Note: see also system.getEventHistory method which returns a history of all events.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of system.
 </li>
<li>

    <em>string</em> actionType - Type of the action.
 </li>
<li>

    <em>dateTime.iso8601</em> earliestDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> action
	<ul>
    <li><em>int</em> "failed_count" - Number of times action failed.</li>
    <li><em>string</em> "modified" - Date modified. (Deprecated by
                     modified_date)</li>
    <li><em>dateTime.iso8601</em> "modified_date" - Date modified.</li>
    <li><em>string</em> "created" - Date created. (Deprecated by
                     created_date)</li>
    <li><em>dateTime.iso8601</em> "created_date" - Date created.</li>
	<li><em>string</em> "action_type"</li>
    <li><em>int</em> "successful_count" - Number of times action was successful.</li>
    <li><em>string</em> "earliest_action" - Earliest date this action
                     will occur.</li>
    <li><em>int</em> "archived" - If this action is archived. (1 or 0)</li>
    <li><em>string</em> "scheduler_user" - available only if concrete user
                     has scheduled the action</li>
    <li><em>string</em> "prerequisite" - Pre-requisite action. (optional)</li>
    <li><em>string</em> "name" - Name of this action.</li>
    <li><em>int</em> "id" - Id of this action.</li>
    <li><em>string</em> "version" - Version of action.</li>
    <li><em>string</em> "completion_time" - The date/time the event was
                     completed. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by completed_date)</li>
    <li><em>dateTime.iso8601</em> "completed_date" - The date/time the event was completed.
                     (optional)</li>
    <li><em>string</em> "pickup_time" - The date/time the action was picked
                     up. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by pickup_date)</li>
    <li><em>dateTime.iso8601</em> "pickup_date" - The date/time the action was picked up.
                     (optional)</li>
    <li><em>string</em> "result_msg" - The result string after the action
                     executes at the client machine. (optional)</li>
    <li><em>array</em> "additional_info" - This array contains additional
              information for the event, if available.
        <ul>
            <li>
	     <em>struct</em> info
	<ul>
    <li><em>string</em> "detail" - The detail provided depends on the
                  specific event.  For example, for a package event, this will be the
                  package name, for an errata event, this will be the advisory name
                  and synopsis, for a config file event, this will be path and
                  optional revision information...etc.</li>
    <li><em>string</em> "result" - The result (if included) depends
                  on the specific event.  For example, for a package or errata event,
                  no result is included, for a config file event, the result might
                  include an error (if one occurred, such as the file was missing)
                  or in the case of a config file comparison it might include the
                  differences found.</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.8 <p />
<hr />

<h3> <a name="listSystemEvents" href="#listSystemEvents">Method: listSystemEvents</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all system actions that were *scheduled* against the given server.
 This may require the caller to filter the result to fetch actions with a specific action type or
 to use the overloaded system.listSystemEvents method with actionType as a parameter.
 Note: see also system.getEventHistory method which returns a history of all events.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of system.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> action
	<ul>
    <li><em>int</em> "failed_count" - Number of times action failed.</li>
    <li><em>string</em> "modified" - Date modified. (Deprecated by
                     modified_date)</li>
    <li><em>dateTime.iso8601</em> "modified_date" - Date modified.</li>
    <li><em>string</em> "created" - Date created. (Deprecated by
                     created_date)</li>
    <li><em>dateTime.iso8601</em> "created_date" - Date created.</li>
	<li><em>string</em> "action_type"</li>
    <li><em>int</em> "successful_count" - Number of times action was successful.</li>
    <li><em>string</em> "earliest_action" - Earliest date this action
                     will occur.</li>
    <li><em>int</em> "archived" - If this action is archived. (1 or 0)</li>
    <li><em>string</em> "scheduler_user" - available only if concrete user
                     has scheduled the action</li>
    <li><em>string</em> "prerequisite" - Pre-requisite action. (optional)</li>
    <li><em>string</em> "name" - Name of this action.</li>
    <li><em>int</em> "id" - Id of this action.</li>
    <li><em>string</em> "version" - Version of action.</li>
    <li><em>string</em> "completion_time" - The date/time the event was
                     completed. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by completed_date)</li>
    <li><em>dateTime.iso8601</em> "completed_date" - The date/time the event was completed.
                     (optional)</li>
    <li><em>string</em> "pickup_time" - The date/time the action was picked
                     up. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by pickup_date)</li>
    <li><em>dateTime.iso8601</em> "pickup_date" - The date/time the action was picked up.
                     (optional)</li>
    <li><em>string</em> "result_msg" - The result string after the action
                     executes at the client machine. (optional)</li>
    <li><em>array</em> "additional_info" - This array contains additional
              information for the event, if available.
        <ul>
            <li>
	     <em>struct</em> info
	<ul>
    <li><em>string</em> "detail" - The detail provided depends on the
                  specific event.  For example, for a package event, this will be the
                  package name, for an errata event, this will be the advisory name
                  and synopsis, for a config file event, this will be path and
                  optional revision information...etc.</li>
    <li><em>string</em> "result" - The result (if included) depends
                  on the specific event.  For example, for a package or errata event,
                  no result is included, for a config file event, the result might
                  include an error (if one occurred, such as the file was missing)
                  or in the case of a config file comparison it might include the
                  differences found.</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.8 <p />
<hr />

<h3> <a name="listSystemEvents" href="#listSystemEvents">Method: listSystemEvents</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List system actions of the specified type that were *scheduled* against the given server.
 "actionType" should be exactly the string returned in the action_type field
 from the listSystemEvents(sessionKey, serverId) method. For example,
 'Package Install' or 'Initiate a kickstart for a virtual guest.'
 Note: see also system.getEventHistory method which returns a history of all events.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of system.
 </li>
<li>

    <em>string</em> actionType - Type of the action.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> action
	<ul>
    <li><em>int</em> "failed_count" - Number of times action failed.</li>
    <li><em>string</em> "modified" - Date modified. (Deprecated by
                     modified_date)</li>
    <li><em>dateTime.iso8601</em> "modified_date" - Date modified.</li>
    <li><em>string</em> "created" - Date created. (Deprecated by
                     created_date)</li>
    <li><em>dateTime.iso8601</em> "created_date" - Date created.</li>
	<li><em>string</em> "action_type"</li>
    <li><em>int</em> "successful_count" - Number of times action was successful.</li>
    <li><em>string</em> "earliest_action" - Earliest date this action
                     will occur.</li>
    <li><em>int</em> "archived" - If this action is archived. (1 or 0)</li>
    <li><em>string</em> "scheduler_user" - available only if concrete user
                     has scheduled the action</li>
    <li><em>string</em> "prerequisite" - Pre-requisite action. (optional)</li>
    <li><em>string</em> "name" - Name of this action.</li>
    <li><em>int</em> "id" - Id of this action.</li>
    <li><em>string</em> "version" - Version of action.</li>
    <li><em>string</em> "completion_time" - The date/time the event was
                     completed. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by completed_date)</li>
    <li><em>dateTime.iso8601</em> "completed_date" - The date/time the event was completed.
                     (optional)</li>
    <li><em>string</em> "pickup_time" - The date/time the action was picked
                     up. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by pickup_date)</li>
    <li><em>dateTime.iso8601</em> "pickup_date" - The date/time the action was picked up.
                     (optional)</li>
    <li><em>string</em> "result_msg" - The result string after the action
                     executes at the client machine. (optional)</li>
    <li><em>array</em> "additional_info" - This array contains additional
              information for the event, if available.
        <ul>
            <li>
	     <em>struct</em> info
	<ul>
    <li><em>string</em> "detail" - The detail provided depends on the
                  specific event.  For example, for a package event, this will be the
                  package name, for an errata event, this will be the advisory name
                  and synopsis, for a config file event, this will be path and
                  optional revision information...etc.</li>
    <li><em>string</em> "result" - The result (if included) depends
                  on the specific event.  For example, for a package or errata event,
                  no result is included, for a config file event, the result might
                  include an error (if one occurred, such as the file was missing)
                  or in the case of a config file comparison it might include the
                  differences found.</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.8 <p />
<hr />

<h3> <a name="listSystemEvents" href="#listSystemEvents">Method: listSystemEvents</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List system actions of the specified type that were *scheduled* against the given server after the
 specified date. This may require the caller to filter the result to fetch actions with a specific action type or
 to use the overloaded system.listSystemEvents method with actionType as a parameter.
 Note: see also system.getEventHistory method which returns a history of all events.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of system.
 </li>
<li>

    <em>dateTime.iso8601</em> earliestDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> action
	<ul>
    <li><em>int</em> "failed_count" - Number of times action failed.</li>
    <li><em>string</em> "modified" - Date modified. (Deprecated by
                     modified_date)</li>
    <li><em>dateTime.iso8601</em> "modified_date" - Date modified.</li>
    <li><em>string</em> "created" - Date created. (Deprecated by
                     created_date)</li>
    <li><em>dateTime.iso8601</em> "created_date" - Date created.</li>
	<li><em>string</em> "action_type"</li>
    <li><em>int</em> "successful_count" - Number of times action was successful.</li>
    <li><em>string</em> "earliest_action" - Earliest date this action
                     will occur.</li>
    <li><em>int</em> "archived" - If this action is archived. (1 or 0)</li>
    <li><em>string</em> "scheduler_user" - available only if concrete user
                     has scheduled the action</li>
    <li><em>string</em> "prerequisite" - Pre-requisite action. (optional)</li>
    <li><em>string</em> "name" - Name of this action.</li>
    <li><em>int</em> "id" - Id of this action.</li>
    <li><em>string</em> "version" - Version of action.</li>
    <li><em>string</em> "completion_time" - The date/time the event was
                     completed. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by completed_date)</li>
    <li><em>dateTime.iso8601</em> "completed_date" - The date/time the event was completed.
                     (optional)</li>
    <li><em>string</em> "pickup_time" - The date/time the action was picked
                     up. Format -&gt;YYYY-MM-dd hh:mm:ss.ms
                     Eg -&gt;2007-06-04 13:58:13.0. (optional)
                     (Deprecated by pickup_date)</li>
    <li><em>dateTime.iso8601</em> "pickup_date" - The date/time the action was picked up.
                     (optional)</li>
    <li><em>string</em> "result_msg" - The result string after the action
                     executes at the client machine. (optional)</li>
    <li><em>array</em> "additional_info" - This array contains additional
              information for the event, if available.
        <ul>
            <li>
	     <em>struct</em> info
	<ul>
    <li><em>string</em> "detail" - The detail provided depends on the
                  specific event.  For example, for a package event, this will be the
                  package name, for an errata event, this will be the advisory name
                  and synopsis, for a config file event, this will be path and
                  optional revision information...etc.</li>
    <li><em>string</em> "result" - The result (if included) depends
                  on the specific event.  For example, for a package or errata event,
                  no result is included, for a config file event, the result might
                  include an error (if one occurred, such as the file was missing)
                  or in the case of a config file comparison it might include the
                  differences found.</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.8 <p />
<hr />

<h3> <a name="listSystemGroupsForSystemsWithEntitlement" href="#listSystemGroupsForSystemsWithEntitlement">Method: listSystemGroupsForSystemsWithEntitlement</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the groups information a system is member of, for all the systems visible to the passed user
 and that are entitled with the passed entitlement.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> entitlement
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> system
	<ul>
    <li><em>int</em> "id" - system ID</li>
    <li><em>array</em> "system_groups"
        <ul>
            <li>
	     <em>struct</em> system group
	<ul>
    <li><em>int</em> "id" - system group ID</li>
    <li><em>string</em> "name" - system group name</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystems" href="#listSystems">Method: listSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all servers visible to the user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsWithEntitlement" href="#listSystemsWithEntitlement">Method: listSystemsWithEntitlement</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the systems that have the given entitlement


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> entitlementName - the entitlement name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
                  

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsWithExtraPackages" href="#listSystemsWithExtraPackages">Method: listSystemsWithExtraPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List systems with extra packages


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system
	<ul>
    <li><em>int</em> "id" - System ID</li>
    <li><em>string</em> "name" - System profile name</li>
    <li><em>int</em> "extra_pkg_count" - Extra packages count</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsWithPackage" href="#listSystemsWithPackage">Method: listSystemsWithPackage</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the systems that have the given installed package


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> pid - the package id
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsWithPackage" href="#listSystemsWithPackage">Method: listSystemsWithPackage</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the systems that have the given installed package


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - the package name
 </li>
<li>

    <em>string</em> version - the package version
 </li>
<li>

    <em>string</em> release - the package release
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
                  

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listUngroupedSystems" href="#listUngroupedSystems">Method: listUngroupedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List systems that are not associated with any system groups.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listUserSystems" href="#listUserSystems">Method: listUserSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List systems for a given user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> login - User's login name.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listUserSystems" href="#listUserSystems">Method: listUserSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List systems for the logged in user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listVirtualGuests" href="#listVirtualGuests">Method: listVirtualGuests</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the virtual guests for a given virtual host


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the virtual host's id
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> virtual system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>string</em> "guest_name" - the virtual guest name as provided
                  by the virtual host</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time the server successfully
                   checked in</li>
	<li><em>string</em> "uuid"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listVirtualHosts" href="#listVirtualHosts">Method: listVirtualHosts</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the virtual hosts visible to the user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
       

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="obtainReactivationKey" href="#obtainReactivationKey">Method: obtainReactivationKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Obtains a reactivation key for this server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> key
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="obtainReactivationKey" href="#obtainReactivationKey">Method: obtainReactivationKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Obtains a reactivation key for this server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientCert - client certificate of the system
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> key
 
</code>
</li></ul>
<p />
Available since API version: 10.10 <p />
<hr />

<h3> <a name="provisionSystem" href="#provisionSystem">Method: provisionSystem</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Provision a system using the specified kickstart/autoinstallation profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of the system to be provisioned.
 </li>
<li>

    <em>string</em> profileName - Profile to use.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the action scheduled, otherwise exception thrown
 on error
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="provisionSystem" href="#provisionSystem">Method: provisionSystem</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Provision a system using the specified kickstart/autoinstallation profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of the system to be provisioned.
 </li>
<li>

    <em>string</em> profileName - Profile to use.
 </li>
<li>

    <em>dateTime.iso8601</em> earliestDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the action scheduled, otherwise exception thrown
 on error
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="provisionVirtualGuest" href="#provisionVirtualGuest">Method: provisionVirtualGuest</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Provision a guest on the host specified.  Defaults to:
 memory=512MB, vcpu=1, storage=3GB, mac_address=random.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of host to provision guest on.
 </li>
<li>

    <em>string</em> guestName
 </li>
<li>

    <em>string</em> profileName - Kickstart profile to use.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="provisionVirtualGuest" href="#provisionVirtualGuest">Method: provisionVirtualGuest</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Provision a guest on the host specified.  This schedules the guest
 for creation and will begin the provisioning process when the host checks in
 or if OSAD is enabled will begin immediately. Defaults to mac_address=random.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of host to provision guest on.
 </li>
<li>

    <em>string</em> guestName
 </li>
<li>

    <em>string</em> profileName - Kickstart Profile to use.
 </li>
<li>

    <em>int</em> memoryMb - Memory to allocate to the guest
 </li>
<li>

    <em>int</em> vcpus - Number of virtual CPUs to allocate to
                                          the guest.
 </li>
<li>

    <em>int</em> storageGb - Size of the guests disk image.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="provisionVirtualGuest" href="#provisionVirtualGuest">Method: provisionVirtualGuest</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Provision a guest on the host specified.  This schedules the guest
 for creation and will begin the provisioning process when the host checks in
 or if OSAD is enabled will begin immediately.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of host to provision guest on.
 </li>
<li>

    <em>string</em> guestName
 </li>
<li>

    <em>string</em> profileName - Kickstart Profile to use.
 </li>
<li>

    <em>int</em> memoryMb - Memory to allocate to the guest
 </li>
<li>

    <em>int</em> vcpus - Number of virtual CPUs to allocate to
                                          the guest.
 </li>
<li>

    <em>int</em> storageGb - Size of the guests disk image.
 </li>
<li>

    <em>string</em> macAddress - macAddress to give the guest's
                                          virtual networking hardware.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="refreshPillar" href="#refreshPillar">Method: refreshPillar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
refresh all the pillar data of a list of systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> skippedIds
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="refreshPillar" href="#refreshPillar">Method: refreshPillar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
refresh the pillar data of a list of systems. The subset value represents the pillar to be refreshed
 and can be one of 'general', 'group_membership', 'virtualization' or 'custom_info'.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> subset
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> skippedIds
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeEntitlements" href="#removeEntitlements">Method: removeEntitlements</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove addon entitlements from a server. Entitlements a server does
 not have are quietly ignored.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> entitlements
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to multiple systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to multiple systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to multiple systems at a
 given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to multiple systems at a
 given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to multiple systems at a
 given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
<li>

    <em>boolean</em> onlyRelevant - If true not all erratas are applied to all systems. Systems get only the erratas relevant for them.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 24 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to a system at a
 given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to a system at a
 given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="scheduleApplyErrata" href="#scheduleApplyErrata">Method: scheduleApplyErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules an action to apply errata updates to a system at a
 given date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> errataIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
<li>

    <em>boolean</em> onlyRelevant
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 24 <p />
<hr />

<h3> <a name="scheduleApplyHighstate" href="#scheduleApplyHighstate">Method: scheduleApplyHighstate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule highstate application for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> test - Run states in test-only mode
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleApplyHighstate" href="#scheduleApplyHighstate">Method: scheduleApplyHighstate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule highstate application for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> test - Run states in test-only mode
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleApplyStates" href="#scheduleApplyStates">Method: scheduleApplyStates</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule highstate application for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> stateNames
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> test - Run states in test-only mode
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleApplyStates" href="#scheduleApplyStates">Method: scheduleApplyStates</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule highstate application for a given system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(string)</em> stateNames
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> test - Run states in test-only mode
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleCertificateUpdate" href="#scheduleCertificateUpdate">Method: scheduleCertificateUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule update of client certificate


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleCertificateUpdate" href="#scheduleCertificateUpdate">Method: scheduleCertificateUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule update of client certificate at given date and time


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleChangeChannels" href="#scheduleChangeChannels">Method: scheduleChangeChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule an action to change the channels of the given system. Works for both traditional
 and Salt systems.
 This method accepts labels for the base and child channels.
 If the user provides an empty string for the channelLabel, the current base channel and
 all child channels will be removed from the system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> childLabels
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - the time/date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the action scheduled, otherwise exception thrown
 on error
 
</code>
</li></ul>
<p />
Available since API version: 19.0 <p />
<hr />

<h3> <a name="scheduleChangeChannels" href="#scheduleChangeChannels">Method: scheduleChangeChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule an action to change the channels of the given system. Works for both traditional
 and Salt systems.
 This method accepts labels for the base and child channels.
 If the user provides an empty string for the channelLabel, the current base channel and
 all child channels will be removed from the system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> childLabels
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - the time/date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(long)</em> actionIds
 
</code>
</li></ul>
<p />
Available since API version: 19.0 <p />
<hr />

<h3> <a name="scheduleDistUpgrade" href="#scheduleDistUpgrade">Method: scheduleDistUpgrade</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a dist upgrade for a system. This call takes a list of channel
 labels that the system will be subscribed to before performing the dist upgrade.
 Note: You can seriously damage your system with this call, use it only if you really
 know what you are doing! Make sure that the list of channel labels is complete and in
 any case do a dry run before scheduling an actual dist upgrade.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> channels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleDistUpgrade" href="#scheduleDistUpgrade">Method: scheduleDistUpgrade</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a dist upgrade for a system. This call takes a list of channel
 labels that the system will be subscribed to before performing the dist upgrade.
 Note: You can seriously damage your system with this call, use it only if you really
 know what you are doing! Make sure that the list of channel labels is complete and in
 any case do a dry run before scheduling an actual dist upgrade.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(string)</em> channels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>boolean</em> allowVendorChange
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleGuestAction" href="#scheduleGuestAction">Method: scheduleGuestAction</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules a guest action for the specified virtual guest for a given
          date/time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the system Id of the guest
 </li>
<li>

    <em>string</em> state - One of the following actions  'start',
          'suspend', 'resume', 'restart', 'shutdown'.
 </li>
<li>

    <em>dateTime.iso8601</em> date - the time/date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleGuestAction" href="#scheduleGuestAction">Method: scheduleGuestAction</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedules a guest action for the specified virtual guest for the
          current time.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the system Id of the guest
 </li>
<li>

    <em>string</em> state - One of the following actions  'start',
          'suspend', 'resume', 'restart', 'shutdown'.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleHardwareRefresh" href="#scheduleHardwareRefresh">Method: scheduleHardwareRefresh</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a hardware refresh for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="schedulePackageInstall" href="#schedulePackageInstall">Method: schedulePackageInstall</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageInstall" href="#schedulePackageInstall">Method: schedulePackageInstall</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageInstall" href="#schedulePackageInstall">Method: schedulePackageInstall</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="schedulePackageInstall" href="#schedulePackageInstall">Method: schedulePackageInstall</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageInstallByNevra" href="#schedulePackageInstallByNevra">Method: schedulePackageInstallByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package Nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageInstallByNevra" href="#schedulePackageInstallByNevra">Method: schedulePackageInstallByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageInstallByNevra" href="#schedulePackageInstallByNevra">Method: schedulePackageInstallByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageInstallByNevra" href="#schedulePackageInstallByNevra">Method: schedulePackageInstallByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package installation for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageLockChange" href="#schedulePackageLockChange">Method: schedulePackageLockChange</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package lock for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> pkgIdsToLock
 </li>
<li>

<em>array(int)</em> pkgIdsToUnlock
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageRefresh" href="#schedulePackageRefresh">Method: schedulePackageRefresh</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a package list refresh for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the action scheduled, otherwise exception thrown
 on error
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageRemove" href="#schedulePackageRemove">Method: schedulePackageRemove</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageRemove" href="#schedulePackageRemove">Method: schedulePackageRemove</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageRemove" href="#schedulePackageRemove">Method: schedulePackageRemove</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageRemove" href="#schedulePackageRemove">Method: schedulePackageRemove</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageRemoveByNevra" href="#schedulePackageRemoveByNevra">Method: schedulePackageRemoveByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageRemoveByNevra" href="#schedulePackageRemoveByNevra">Method: schedulePackageRemoveByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageRemoveByNevra" href="#schedulePackageRemoveByNevra">Method: schedulePackageRemoveByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="schedulePackageRemoveByNevra" href="#schedulePackageRemoveByNevra">Method: schedulePackageRemoveByNevra</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule package removal for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

<em>array</em> packageNevraList
  <ul>
   <li>
	     <em>struct</em> Package nevra
	<ul>
	<li><em>string</em> "package_name"</li>
	<li><em>string</em> "package_epoch"</li>
	<li><em>string</em> "package_version"</li>
	<li><em>string</em> "package_release"</li>
	<li><em>string</em> "package_arch"</li>

	</ul>
</li></ul>
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
<li>

    <em>boolean</em> allowModules - Allow this API call, despite modular content being present
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 21 <p />
<hr />

<h3> <a name="schedulePackageUpdate" href="#schedulePackageUpdate">Method: schedulePackageUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule full package update for several systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId
 
</code>
</li></ul>
<p />
Available since API version: 25 <p />
<hr />

<h3> <a name="scheduleProductMigration" href="#scheduleProductMigration">Method: scheduleProductMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleProductMigration" href="#scheduleProductMigration">Method: scheduleProductMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>boolean</em> allowVendorChange
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleProductMigration" href="#scheduleProductMigration">Method: scheduleProductMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Prodcut migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> targetIdent - Identifier for the selected migration target. Use listMigrationTargets to list the identifiers
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleProductMigration" href="#scheduleProductMigration">Method: scheduleProductMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> targetIdent - Identifier for the selected migration target. Use listMigrationTargets to list the identifiers
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>boolean</em> allowVendorChange
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleProductMigration" href="#scheduleProductMigration">Method: scheduleProductMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> targetIdent - Identifier for the selected migration target - User listMigrationTargets to list the identifiers 
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>boolean</em> allowVendorChange
 </li>
<li>

    <em>boolean</em> removeProductsWithNoSuccessorAfterMigration - set to remove products which
 have no successors. This flag will only have effect if targetIdent will also be specified
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleReboot" href="#scheduleReboot">Method: scheduleReboot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a reboot for a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3 class="deprecated"><a name="scheduleSPMigration" href="#scheduleSPMigration">Method: scheduleSPMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.

 Note: This method is deprecated and will be removed in a future API version. Please use
 scheduleProductMigration instead.

<p/>
Deprecated - being replaced by scheduleProductMigration(User loggedInUser, Integer sid,
 String baseChannelLabel, List(String) optionalChildChannels, boolean dryRun, Date earliest)
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="scheduleSPMigration" href="#scheduleSPMigration">Method: scheduleSPMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.

 Note: This method is deprecated and will be removed in a future API version. Please use
 scheduleProductMigration instead.

<p/>
Deprecated - being replaced by scheduleProductMigration(User loggedInUser, Integer sid,
 String baseChannelLabel, List(String) optionalChildChannels, boolean dryRun, boolean allowVendorChange,
 Date earliest)
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>boolean</em> allowVendorChange
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="scheduleSPMigration" href="#scheduleSPMigration">Method: scheduleSPMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Prodcut migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.

 Note: This method is deprecated and will be removed in a future API version. Please use
 scheduleProductMigration instead.

<p/>
Deprecated - being replaced by scheduleProductMigration(User loggedInUser, Integer sid,
 String targetIdent, String baseChannelLabel, List(String) optionalChildChannels, boolean dryRun,
 Date earliest)
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> targetIdent -  identifier for the selected migration target.
  User listMigrationTargets to list the identifiers 
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="scheduleSPMigration" href="#scheduleSPMigration">Method: scheduleSPMigration</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a Product migration for a system. This call is the
 recommended and supported way of migrating a system to the next Service Pack. It will
 automatically find all mandatory product channels below a given target base channel
 and subscribe the system accordingly. Any additional optional channels can be
 subscribed by providing their labels.

 Note: This method is deprecated and will be removed in a future API version. Please use
 scheduleProductMigration instead.

<p/>
Deprecated - being replaced by scheduleProductMigration(User loggedInUser, Integer sid,
 String targetIdent, String baseChannelLabel, List(String) optionalChildChannels, boolean dryRun,
 boolean allowVendorChange, Date earliest)
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> targetIdent - Identifier for the selected migration target. Use listMigrationTargets to list the identifiers
 </li>
<li>

    <em>string</em> baseChannelLabel
 </li>
<li>

<em>array(string)</em> optionalChildChannels
 </li>
<li>

    <em>boolean</em> dryRun
 </li>
<li>

    <em>boolean</em> allowVendorChange
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleScriptRun" href="#scheduleScriptRun">Method: scheduleScriptRun</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a script to run.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

<em>array(int)</em> sids - System IDs of the servers to run the script on.
 </li>
<li>

    <em>string</em> username - User to run script as.
 </li>
<li>

    <em>string</em> groupname - Group to run script as.
 </li>
<li>

    <em>int</em> timeout - Seconds to allow the script to run
before timing out.
 </li>
<li>

    <em>string</em> script - Contents of the script to run.
 Must start with a shebang (e.g. #!/bin/bash)
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - Earliest the script can run.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the script run action created. Can be used to fetch
 results with system.getScriptResults
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleScriptRun" href="#scheduleScriptRun">Method: scheduleScriptRun</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a script to run.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - System IDs of the servers to run the script on.
 </li>
<li>

    <em>string</em> username - User to run script as.
 </li>
<li>

    <em>string</em> groupname - Group to run script as.
 </li>
<li>

    <em>int</em> timeout - Seconds to allow the script to run
before timing out.
 </li>
<li>

    <em>string</em> script - Contents of the script to run.
 Must start with a shebang (e.g. #!/bin/bash)
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - Earliest the script can run.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the script run action created. Can be used to fetch
 results with system.getScriptResults
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleScriptRun" href="#scheduleScriptRun">Method: scheduleScriptRun</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a script to run.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of the server to run the script on.
 </li>
<li>

    <em>string</em> username - User to run script as.
 </li>
<li>

    <em>string</em> groupname - Group to run script as.
 </li>
<li>

    <em>int</em> timeout - Seconds to allow the script to run
before timing out.
 </li>
<li>

    <em>string</em> script - Contents of the script to run.
 Must start with a shebang (e.g. #!/bin/bash)
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - Earliest the script can run.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the script run action created. Can be used to fetch
 results with system.getScriptResults
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleScriptRun" href="#scheduleScriptRun">Method: scheduleScriptRun</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a script to run.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>int</em> sid - ID of the server to run the script on.
 </li>
<li>

    <em>string</em> username - User to run script as.
 </li>
<li>

    <em>string</em> groupname - Group to run script as.
 </li>
<li>

    <em>int</em> timeout - Seconds to allow the script to run
before timing out.
 </li>
<li>

    <em>string</em> script - Contents of the script to run.
 Must start with a shebang (e.g. #!/bin/bash)
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - Earliest the script can run.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - ID of the script run action created. Can be used to fetch
 results with system.getScriptResults
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleSyncPackagesWithSystem" href="#scheduleSyncPackagesWithSystem">Method: scheduleSyncPackagesWithSystem</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sync packages from a source system to a target.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> targetServerId - Target system to apply package
                  changes to.
 </li>
<li>

    <em>int</em> sourceServerId - Source system to retrieve
                  package state from.
 </li>
<li>

<em>array(int)</em> packageIds - Package IDs to be synced.
 </li>
<li>

    <em>dateTime.iso8601</em> earliestOccurrence - Date to schedule action for
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
Available since API version: 13.0 <p />
<hr />

<h3> <a name="searchByName" href="#searchByName">Method: searchByName</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list of system IDs whose name matches
  the supplied regular expression(defined by
  
 Java representation of regular expressions)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> regexp - A regular expression
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="sendOsaPing" href="#sendOsaPing">Method: sendOsaPing</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
send a ping to a system using OSA


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> serverId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="setBaseChannel" href="#setBaseChannel">Method: setBaseChannel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Assigns the server to a new baseChannel.

<p/>
Deprecated - being replaced by system.setBaseChannel(string sessionKey,
 int serverId, string channelLabel)
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> cid - channel ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="setBaseChannel" href="#setBaseChannel">Method: setBaseChannel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Assigns the server to a new base channel.  If the user provides an empty
 string for the channelLabel, the current base channel and all child channels will
 be removed from the system.

<p/>
Deprecated - being replaced by system.scheduleChangeChannels(string sessionKey,
 int serverId, String baseChannelLabel, array_single channelLabels, date earliestOccurrence).
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> channelLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="setChildChannels" href="#setChildChannels">Method: setChildChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Subscribe the given server to the child channels provided.  This
 method will unsubscribe the server from any child channels that the server
 is currently subscribed to, but that are not included in the list.  The user may
 provide either a list of channel ids (int) or a list of channel labels (string) as
 input. Changes to channel assignments on salt managed systems will take effect
 at next highstate application.

<p/>
Deprecated - being replaced by system.scheduleChangeChannels(string sessionKey,
 int serverId, String baseChannelLabel, array_single channelLabels, date earliestOccurrence).
 This method will schedule an action for changing the child channels immediately.
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sidd
 </li>
<li>

<em>array(int (deprecated) or string)</em> channelIdsOrLabels - channelId (deprecated)
 or channelLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setCustomValues" href="#setCustomValues">Method: setCustomValues</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set custom values for the specified server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

	     <em>struct</em> values
	<ul>
	<li><em>string</em> "custom info label"</li>
	<li><em>string</em> "value"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#setDetails">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set server details. All arguments are optional and will only be modified
 if included in the struct.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - ID of server to lookup details for.
 </li>
<li>

	     <em>struct</em> details
	<ul>
    <li><em>string</em> "profile_name" - System's profile name</li>
    <li><em>string</em> "base_entitlement" - System's base entitlement label.
                      (enterprise_entitled or unentitle)</li>
    <li><em>boolean</em> "auto_errata_update" - True if system has
                          auto errata updates enabled</li>
    <li><em>string</em> "description" - System description</li>
    <li><em>string</em> "address1" - System's address line 1.</li>
    <li><em>string</em> "address2" - System's address line 2.</li>
	<li><em>string</em> "city"</li>
	<li><em>string</em> "state"</li>
	<li><em>string</em> "country"</li>
	<li><em>string</em> "building"</li>
	<li><em>string</em> "room"</li>
	<li><em>string</em> "rack"</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setGroupMembership" href="#setGroupMembership">Method: setGroupMembership</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set a servers membership in a given group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> sgid
 </li>
<li>

    <em>boolean</em> member - '1' to assign the given server to
 the given server group, '0' to remove the given server from the given server
 group.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setGuestCpus" href="#setGuestCpus">Method: setGuestCpus</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule an action of a guest's host, to set that guest's CPU
          allocation


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - The guest's system id
 </li>
<li>

    <em>int</em> numOfCpus - The number of virtual cpus to
          allocate to the guest
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionID - the action Id for the schedule action
              on the host system
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setGuestMemory" href="#setGuestMemory">Method: setGuestMemory</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule an action of a guest's host, to set that guest's memory
          allocation


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - The guest's system id
 </li>
<li>

    <em>int</em> memory - The amount of memory to
          allocate to the guest
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionID - the action Id for the schedule action
              on the host system
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setLockStatus" href="#setLockStatus">Method: setLockStatus</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set server lock status.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>boolean</em> lockStatus - true to lock the system,
 false to unlock the system.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPillar" href="#setPillar">Method: setPillar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set pillar data of a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemId
 </li>
<li>

    <em>struct</em> pillarData
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPillar" href="#setPillar">Method: setPillar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set pillar data of a system.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemId
 </li>
<li>

    <em>struct</em> pillarData
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPrimaryFqdn" href="#setPrimaryFqdn">Method: setPrimaryFqdn</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets new primary FQDN


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> fqdn
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPrimaryInterface" href="#setPrimaryInterface">Method: setPrimaryInterface</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets new primary network interface


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> interfaceName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setProfileName" href="#setProfileName">Method: setProfileName</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the profile name for the server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> name - Name of the profile.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setVariables" href="#setVariables">Method: setVariables</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets a list of kickstart variables in the cobbler system record
 for the specified server.
  Note: This call assumes that a system record exists in cobbler for the
  given system and will raise an XMLRPC fault if that is not the case.
  To create a system record over xmlrpc use system.createSystemRecord

  To create a system record in the Web UI  please go to
  System -&gt; &lt;Specified System&gt; -&gt; Provisioning -&gt;
  Select a Kickstart profile -&gt; Create Cobbler System Record.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>boolean</em> netboot
 </li>
<li>

	     <em>struct</em> variables
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string or int</em> "value"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="tagLatestSnapshot" href="#tagLatestSnapshot">Method: tagLatestSnapshot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Tags latest system snapshot


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> tagName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="unentitle" href="#unentitle">Method: unentitle</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Unentitle the system completely


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientCert - client system id file
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updatePackageState" href="#updatePackageState">Method: updatePackageState</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update the package state of a given system
                          (High state would be needed to actually install/remove the package)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> packageName - Name of the package
 </li>
<li>

    <em>int</em> state - 0 = installed, 1 = removed, 2 = unmanaged 
 </li>
<li>

    <em>int</em> versionConstraint - 0 = latest, 1 = any 
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


1 on success, exception on failure 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="upgradeEntitlement" href="#upgradeEntitlement">Method: upgradeEntitlement</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an entitlement to a given server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>string</em> entitlementLevel - One of:
          'enterprise_entitled' or 'virtualization_host'.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="whoRegistered" href="#whoRegistered">Method: whoRegistered</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns information about the user who registered the system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - Id of the system in question
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> user
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "login"</li>
    <li><em>string</em> "login_uc" - upper case version of the login</li>
    <li><em>boolean</em> "enabled" - true if user is enabled,
                         false if the user is disabled</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
